/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aop.standalone;

import java.lang.instrument.Instrumentation;

/**
 * Expose the Instrumentation interface to JVM.
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.8.2 $
 */
public class PluggableInstrumentor
{
   private static Instrumentation instrumentor;

   public static Instrumentation getInstrumentor()
   {
      return instrumentor;
   }

   public static void premain(String agentArgs, Instrumentation inst)
   {
      instrumentor = inst;
   }
}
