/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aop.proxy;

import org.jboss.aop.InstanceAdvisor;

import java.io.ObjectStreamException;
import java.io.Serializable;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.8.2 $
 */
public class MarshalledClassProxy implements Serializable
{
   private Class clazz;
   private ProxyMixin[] mixins;
   private InstanceAdvisor advisor;

   protected MarshalledClassProxy()
   {
   }

   public MarshalledClassProxy(Class clazz, ProxyMixin[] mixins, InstanceAdvisor advisor)
   {
      this.clazz = clazz;
      this.advisor = advisor;
      this.mixins = mixins;
   }

   public Object readResolve() throws ObjectStreamException
   {
      try
      {
         return ClassProxyFactory.newInstance(clazz, mixins, advisor);
      }
      catch (Exception e)
      {
         throw new RuntimeException(e);
      }
   }
}
