/***************************************
 *                                     *
 *  JBoss: The OpenSource J2EE WebOS   *
 *                                     *
 *  Distributable under LGPL license.  *
 *  See terms of license at gnu.org.   *
 *                                     *
 ***************************************/

package org.jboss.aop.proxy;

import org.jboss.aop.InstanceAdvised;
import org.jboss.util.id.GUID;

import java.io.ObjectStreamException;
import java.util.Map;

/**
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.8.2 $
 */
public abstract class Proxy implements InstanceAdvised, java.io.Serializable, MethodMapped
{
   public org.jboss.aop.InstanceAdvisor instanceAdvisor;
   public org.jboss.aop.proxy.ProxyMixin[] mixins;
   public Class[] interfaces;
   public GUID guid;

   public org.jboss.aop.InstanceAdvisor _getInstanceAdvisor()
   {
      return instanceAdvisor;
   }

   public void _setInstanceAdvisor(org.jboss.aop.InstanceAdvisor newAdvisor)
   {
      instanceAdvisor = (org.jboss.aop.ClassInstanceAdvisor) newAdvisor;
   }

   public org.jboss.aop.joinpoint.InvocationResponse _dynamicInvoke(org.jboss.aop.joinpoint.Invocation invocation)
   throws Throwable
   {
      ((org.jboss.aop.joinpoint.InvocationBase) invocation).setInstanceResolver(instanceAdvisor.getMetaData());
      org.jboss.aop.advice.Interceptor[] aspects = instanceAdvisor.getInterceptors();
      return new org.jboss.aop.joinpoint.InvocationResponse(invocation.invokeNext(aspects));
   }

   public Object writeReplace() throws ObjectStreamException
   {
      return new MarshalledInterfaceProxy(guid, interfaces, mixins, instanceAdvisor);
   }

   public abstract Map getMethodMap();

}
