/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aop.proxy;

import org.jboss.aop.MethodInfo;
import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.MethodInvocation;

import java.lang.reflect.Method;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.8.2 $
 */
public class ProxyMethodInvocation extends MethodInvocation
{
   private transient MethodMapped proxy;

   public ProxyMethodInvocation(MethodMapped mapped, MethodInfo info, Interceptor[] interceptors)
   {
      super(info, interceptors);
      this.proxy = mapped;
   }

   public ProxyMethodInvocation(MethodMapped mapped, Interceptor[] interceptors)
   {
      super(interceptors);
      this.proxy = mapped;
   }

   public ProxyMethodInvocation()
   {

   }

   public Method getMethod()
   {
      return (Method) proxy.getMethodMap().get(new Long(getMethodHash()));
   }

   public Method getActualMethod()
   {
      return (Method) proxy.getMethodMap().get(new Long(getMethodHash()));
   }
}
