/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aop.proxy;

import java.io.Serializable;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.8.2 $
 */
public class ProxyMixin implements Serializable
{
   private Object mixin;
   private Class[] interfaces;

   protected ProxyMixin()
   {
   }

   public ProxyMixin(Object mixin, Class[] interfaces)
   {
      this.interfaces = interfaces;
      this.mixin = mixin;
   }

   public Object getMixin()
   {
      return mixin;
   }

   public Class[] getInterfaces()
   {
      return interfaces;
   }

}