/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.annotated;

import org.jboss.aop.joinpoint.Invocation;
import org.jboss.aop.pointcut.CFlowStack;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 * @@org.jboss.aop.Aspect (scope=org.jboss.aop.advice.Scope.PER_VM)
 */
public class CFlowAspect
{
   public static int cflowAccess;
   
   /**
    * @@org.jboss.aop.CFlowStackDef (cflows={@org.jboss.aop.CFlowDef (expr = "void org.jboss.test.aop.annotated.VariaPOJO->cflowMethod1()", called=true), @org.jboss.aop.CFlowDef (expr = "void org.jboss.test.aop.annotated.VariaPOJO->cflowMethod2()", called=true)})
    */
   public static CFlowStack cf1And2Stack;
      
   /**
    * @@org.jboss.aop.CFlowStackDef (cflows={@org.jboss.aop.CFlowDef (expr = "void org.jboss.test.aop.annotated.VariaPOJO->cflowMethod1()", called=false), @org.jboss.aop.CFlowDef (expr = "void org.jboss.test.aop.annotated.VariaPOJO->cflowMethod2()", called=true)})
    */
   public static CFlowStack cfNot1And2Stack;

   
   /**
    * @@org.jboss.aop.Bind (pointcut="execution(void org.jboss.test.aop.annotated.VariaPOJO*->privateMethod())", cflow="(org.jboss.test.aop.annotated.CFlowAspect.cf1And2Stack OR org.jboss.test.aop.annotated.CFlowAspect.cfNot1And2Stack)")
    */
   public Object cflowAdvice(Invocation invocation) throws Throwable
   {
      System.out.println("CFlowAspect.cflowAdvice");
      cflowAccess++;
      return invocation.invokeNext();
   }
   
   /**
    * @@org.jboss.aop.Bind (pointcut="execution(void org.jboss.test.aop.annotated.VariaPOJO*->dynamicCFlowMethod())", cflow="org.jboss.test.aop.annotated.SimpleDynamicCFlow")
    */
   public Object dynamicCFlowAdvice(Invocation invocation) throws Throwable
   {
      System.out.println("CFlowAspect.dynamicCFlowAdvice");
      cflowAccess++;
      return invocation.invokeNext();
   }
}
