/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.aop.annotatedparams;


import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Tests an annotated introduction
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.8.2 $
 */
public class AnnotatedParamsTester extends TestCase
{
   public static Test suite()
   {
      TestSuite suite = new TestSuite("AnnotatedParamsTester");
      suite.addTestSuite(AnnotatedParamsTester.class);
      return suite;
   }

   public AnnotatedParamsTester(String name)
   {
      super(name);
   }

   public void testCreateAnnotation() throws Exception
   {
      ParamType param = new ParamType();
      
      SimpleInterceptor.intercepted = false;
      POJO pojo = new POJO(param);
      if (!SimpleInterceptor.intercepted)throw new RuntimeException("Did not intercept constructor with annotated parameters");
      
      SimpleInterceptor.intercepted = false;
      ReturnType rtn = pojo.method(param);
      if (!SimpleInterceptor.intercepted)throw new RuntimeException("Did not intercept method with annotated parameters and return type");
   }
}

