/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.annotatedparams;

import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.Invocation;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 */
public class SimpleInterceptor implements Interceptor
{
   public static boolean intercepted;
   
   public String getName()
   {
      return "SimpleInterceptor";
   }

   public Object invoke(Invocation invocation) throws Throwable
   {
      intercepted = true;
      System.out.println("SimpleInterceptor invoking: " + invocation);
      return invocation.invokeNext();
   }

}
