/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.aop.args;

/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;


/**
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.8.3 $
 */
public class ArgsTestCase extends TestCase
{

   public static void main(String[] args)
   {
      TestRunner.run(suite());
   }

   public static Test suite()
   {
      TestSuite suite = new TestSuite("AnnotatedTester");
      suite.addTestSuite(ArgsTestCase.class);
      return suite;
   }

   public ArgsTestCase(String name)
   {
      super(name);
   }

   public void testBench()
   {
      POJO pojo = new POJO();

      {
         long start = System.currentTimeMillis();
         for (int i = 0; i < 1000000; i++)
         {
            pojo.bunchArgs(1, 2.2, 3.3F, "four", 5);
         }
         long end = System.currentTimeMillis() - start;
         System.out.println("bunchArgs: " + end);
      }

      {
         long start = System.currentTimeMillis();
         for (int i = 0; i < 1000000; i++)
         {
            pojo.bunchWrapped(1, 2.2, 3.3F, "four", 5);
         }
         long end = System.currentTimeMillis() - start;
         System.out.println("bunchWrapped: " + end);
      }

      {
         long start = System.currentTimeMillis();
         for (int i = 0; i < 1000000; i++)
         {
            pojo.bunchArgsWithInvocation(1, 2.2, 3.3F, "four", 5);
         }
         long end = System.currentTimeMillis() - start;
         System.out.println("bunchArgsWithInvocation: " + end);
      }

      assertTrue(Aspect.argsWithInvocation);
      assertTrue(Aspect.args);
      assertTrue(Aspect.wrapped);

   }

   public void testEcho()
   {
      POJO pojo = new POJO();

      Aspect.echoCalled = false;
      pojo.echo("hello");
      assertTrue(Aspect.echoCalled);
   }

   public void testBunch()
   {
      POJO pojo = new POJO();

      Aspect.bunchCalled = false;
      Aspect.arg1Called = false;
      Aspect.arg2Called = false;
      Aspect.arg3Called = false;
      Aspect.arg4Called = false;
      Aspect.arg15Called = false;
      Aspect.arg24Called = false;
      pojo.bunch(1, 2.2, 3.3F, "four", 5);
      assertTrue(Aspect.bunchCalled);
      assertTrue(Aspect.arg1Called);
      assertTrue(Aspect.arg2Called);
      assertTrue(Aspect.arg3Called);
      assertTrue(Aspect.arg4Called);
      assertTrue(Aspect.arg15Called);
      assertTrue(Aspect.arg24Called);
   }

}
