/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.jdk15.annotated;

import org.jboss.aop.*;
import org.jboss.aop.advice.Scope;
import org.jboss.aop.joinpoint.*;
import org.jboss.aop.pointcut.CFlowStack;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 * 
 */
@Aspect(scope = Scope.PER_VM)
public class CFlowAspect
{
   public static int cflowAccess;

   @CFlowStackDef (cflows={@CFlowDef(expr = "void org.jboss.test.aop.jdk15.annotated.VariaPOJO->cflowMethod1()", called=true), @CFlowDef(expr = "void org.jboss.test.aop.jdk15.annotated.VariaPOJO->cflowMethod2()", called=true)})
   public static CFlowStack cf1And2Stack;

   @CFlowStackDef (cflows={@CFlowDef(expr = "void org.jboss.test.aop.jdk15.annotated.VariaPOJO->cflowMethod1()", called=false), @CFlowDef(expr = "void org.jboss.test.aop.jdk15.annotated.VariaPOJO->cflowMethod2()", called=true)})
   public static CFlowStack cfNot1And2Stack;

   
   @org.jboss.aop.Bind (pointcut="execution(void org.jboss.test.aop.jdk15.annotated.VariaPOJO*->privateMethod())", cflow="(org.jboss.test.aop.jdk15.annotated.CFlowAspect.cf1And2Stack OR org.jboss.test.aop.jdk15.annotated.CFlowAspect.cfNot1And2Stack)")
   public Object cflowAdvice(Invocation invocation) throws Throwable
   {
      System.out.println("CFlowAspect.cflowAdvice");
      cflowAccess++;
      return invocation.invokeNext();
   }

   @org.jboss.aop.Bind (pointcut="execution(void org.jboss.test.aop.jdk15.annotated.VariaPOJO*->dynamicCFlowMethod())", cflow="org.jboss.test.aop.jdk15.annotated.SimpleDynamicCFlow")
   public Object dynamicCFlowAdvice(Invocation invocation) throws Throwable
   {
      System.out.println("CFlowAspect.dynamicCFlowAdvice");
      cflowAccess++;
      return invocation.invokeNext();
   }
}
