/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.jdk15.annotated.declare;

import org.jboss.aop.pointcut.Pointcut;
import org.jboss.aop.Aspect;
import org.jboss.aop.DeclareError;
import org.jboss.aop.DeclareWarning;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 */
@Aspect (scope=org.jboss.aop.advice.Scope.PER_VM)
public class DeclareAspect
{
   @DeclareError (expr="call(* org.jboss.test.aop.jdk15.annotated.declare.POJO->someMethod()) AND withincode(* org.jboss.test.aop.jdk15.annotated.declare.POJO->otherMethod())", msg="Should not happen")
   Pointcut error;

   @DeclareWarning (expr="call(* org.jboss.test.aop.jdk15.annotated.declare.POJO->otherMethod()) AND withincode(* org.jboss.test.aop.jdk15.annotated.declare.POJO->someMethod())", msg="Expected annotated warning")
   Pointcut warning;
}
