/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.concurrent;

import java.util.concurrent.Semaphore;

/**
 * comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
public class SemaphoredObjectMixin implements SemaphoredObject
{
   private Semaphore semaphore;

   public SemaphoredObjectMixin(Object obj)
   {
      Semaphored l = obj.getClass().getAnnotation(Semaphored.class);
      semaphore = new Semaphore(l.permits(), l.isFair());
   }

   public Semaphore getSemaphore()
   {
      return semaphore;
   }
}
