/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aop.deployment;

/**
 * MBean interface.
 */
public interface AspectManagerServiceMBean extends org.jboss.system.ServiceMBean {

   /**
    * The temporary directory to which dyn class files are written
    */
  java.io.File getTmpClassesDir() ;

   /**
    * The temporary directory to which dyn class files are written
    */
  void setTmpClassesDir(java.io.File tmpClassesDir) ;

   /**
    * Set the verbosity of aop logging. It doesn't use log4j
    */
  boolean getVerbose() ;

   /**
    * Set the verbosity of aop logging. It doesn't use log4j
    */
  void setVerbose(boolean verbose) ;

   /**
    * Use aop optimizations. Optional just in case there is a bug
    */
  boolean getOptimized() ;

   /**
    * Use aop optimizations. Optional just in case there is a bug
    */
  void setOptimized(boolean verbose) ;

  boolean getSuppressTransformationErrors() ;

  void setSuppressTransformationErrors(boolean suppressTransformationErrors) ;

   /**
    * The temporary directory to which dyn class files are written
    */
  boolean getEnableTransformer() ;

   /**
    * The temporary directory to which dyn class files are written
    */
  boolean getEnableLoadtimeWeaving() ;

   /**
    * The temporary directory to which dyn class files are written
    */
  java.lang.String interceptorFactories() ;

   /**
    * The temporary directory to which dyn class files are written
    */
  java.lang.String aspectDefinitions() ;

  java.lang.String introductions() ;

   /**
    * The temporary directory to which dyn class files are written
    */
  java.lang.String stacks() ;

   /**
    * The temporary directory to which dyn class files are written
    */
  java.lang.String bindings() ;

   /**
    * The temporary directory to which dyn class files are written
    */
  java.lang.String registeredClassLoaders() ;

   /**
    * The temporary directory to which dyn class files are written
    */
   void setEnableTransformer(boolean enableTransformer) ;
   void setEnableLoadtimeWeaving(boolean enableTransformer) ;

   String getExclude();

   void setExclude(String exclude);

   String getInclude();

   void setInclude(String include);

   boolean getPrune();

   void setPrune(boolean prune);

   public String getIgnore();

   public void setIgnore(String ignore);
}
