/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.asynch;

import java.io.Externalizable;
import java.io.IOException;
import java.io.ObjectInput;
import java.io.ObjectOutput;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.8.4 $
 */
public class AsynchMixin implements FutureHolder, AsynchProvider, Externalizable
{
   private static final long serialVersionUID = 3408652015381364191L;

   private transient ThreadLocal currentFuture = new ThreadLocal();

   public AsynchMixin()
   {
   }

   public void setFuture(Future future)
   {
      Future oldFuture = (Future) currentFuture.get();
      try
      {
         if (oldFuture != null) oldFuture.release();
      }
      catch (Exception e)
      {
         // ignore
      }
      currentFuture.set(future);
   }

   public Future getFuture()
   {
      Future future = (Future) currentFuture.get();
      currentFuture.set(null);
      return future;
   }

   public void writeExternal(ObjectOutput out) throws IOException
   {

   }

   public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException
   {
      currentFuture = new ThreadLocal();
   }
}
