/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.asynch;

import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.Invocation;

import java.io.Serializable;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.8.4 $
 */
public class AsynchProxyInterceptor implements Interceptor, Serializable
{
   private static final long serialVersionUID = -6294601804409518509L;

   private FutureHolder holder;

   public AsynchProxyInterceptor(FutureHolder holder)
   {
      this.holder = holder;
   }

   public String getName()
   {
      return "AsynchProxyInterceptor";
   }

   public Object invoke(Invocation invocation) throws Throwable
   {
      Object rtn = invocation.invokeNext();
      Future future = (Future) invocation.getResponseAttachment(AsynchAspect.FUTURE);
      if (future != null)
      {
         holder.setFuture(future);
      }
      return rtn;
   }
}
