/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.asynch;

import org.jboss.aop.Advisor;
import org.jboss.aop.joinpoint.MethodInvocation;

/**
 * Provide way for developer to plug in their own executor implementation
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.5.2.3 $
 */
public interface ExecutorAbstraction
{
   RemotableFuture execute(MethodInvocation invocation) throws Exception;

   void setAdvisor(Advisor advisor);
}
