/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.versioned;
import org.jboss.util.id.GUID;

import java.util.HashMap;

public class DistributedMapUpdate implements java.io.Serializable, DistributedUpdate
{
   private static final long serialVersionUID = -1222682164595569704L;

   public GUID guid;
   public long versionId;
   /**
    * This is a list of VersionReference's or serializable objects
    */
   public HashMap mapUpdates;

   public DistributedMapUpdate() {}

   public DistributedMapUpdate(GUID guid, HashMap updates, long versionId)
   {
      this.guid = guid;
      this.mapUpdates = updates;
      this.versionId = versionId;
   }
   
   public GUID getGUID() { return guid; }

}
