/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package test.dbc.office;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.3 $
 * @@org.jboss.aspects.dbc.Dbc
 * @@org.jboss.aspects.dbc.Invariant ({"$tgt.name != null"})
 */
public class Computer
{
   String name;
   Developer developer;

   /**
    *@@org.jboss.aspects.dbc.PreCond ({"$0 != null"})
    *@@org.jboss.aspects.dbc.PostCond ({"$0 == $tgt.name"})
    */
   public Computer(String name)
   {
      this.name = name;
   }
   
   /**
    *@@org.jboss.aspects.dbc.PostCond ({"$rtn != null implies ($rtn.getComputer() == null) ||($rtn.getComputer() == $tgt)"})
    */
   public Developer getDeveloper()
   {
      return developer;
   }
   
   /**
    *@@org.jboss.aspects.dbc.PostCond ({"$0 == $tgt.getDeveloper()"})
    */
   public void setDeveloper(Developer developer)
   {
      this.developer = developer;
   }
}
