/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package test.dbc.office;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.3 $
 * @@org.jboss.aspects.dbc.Dbc
 * @@org.jboss.aspects.dbc.Invariant ({"$tgt.name != null"})
 */
public class Developer
{
   String name;
   Computer computer;

   /**
    *@@org.jboss.aspects.dbc.PreCond ({"$0 != null"})
    *@@org.jboss.aspects.dbc.PostCond ({"$0 == $tgt.name"})
    */
   public Developer(String name)
   {
      this.name = name;
   }
   
   /**
    *@@org.jboss.aspects.dbc.PostCond ({"$rtn != null implies ($rtn.getDeveloper() == null) ||($rtn.getDeveloper() == $tgt)"})
    */
   public Computer getComputer()
   {
      return computer;
   }
   
   /**
    *@@org.jboss.aspects.dbc.PostCond ({"$0 == $tgt.getComputer()"})
    */
   public void setComputer(Computer computer)
   {
      this.computer = computer;
   }
   
}
