/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package test.dbc.stack;

import java.util.LinkedList;

/**
 * 
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan </a>
 * @version $Revision: 1.1.8.3 $
 */
public class StackImpl implements Stack
{
   private final LinkedList elements = new LinkedList();

   public void push(Object o)
   {
      elements.add(o);
   }

   public Object pop()
   {
      //For this we need $old functionality
      //* @@org.jboss.aspects.dbc.PostCond ({"$tgt.top() == $rtn"})
      final Object popped = top();
      elements.removeLast();
      return popped;
   }

   public Object top()
   {
      if (elements.size() == 0)
      {
         return null;
      }
      return elements.getLast();
   }

   public boolean isEmpty()
   {
      return elements.size() == 0;
   }
}

