/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.asynch;

import org.jboss.aspects.asynch.AsynchProvider;
import org.jboss.aspects.asynch.AsynchRemoting;
import org.jboss.aspects.asynch.Asynchronous;
import org.jboss.aspects.asynch.Future;
import org.jboss.remoting.InvokerLocator;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.8.3 $
 */
public class POJO
{
   @Asynchronous
   public int testMethod(int echo)
   {
      System.out.println("echo: " + echo);
      return echo;
   }

   @Asynchronous
   public String testMethod(String echo)
   {
      System.out.println("ECHO: echo");
      return echo;
   }

   public void test() throws Exception
   {
      AsynchProvider asynch = (AsynchProvider) this;
      testMethod(5);

      Future future = asynch.getFuture();
      int rtn = (Integer) future.get();
      if (rtn != 5) throw new RuntimeException("integer return value invalid");

      testMethod("hello");

      future = asynch.getFuture();
      String srtn = (String) future.get();
      if (!"hello".equals(srtn)) throw new RuntimeException("string return value failed");


   }

   public void testCollocated() throws Exception
   {

      POJO pojo = (POJO) AsynchRemoting.createRemoteProxy("pojo", POJO.class, new InvokerLocator("socket://localhost:5150"));

      AsynchProvider asynch = (AsynchProvider) pojo;
      pojo.testMethod(5);

      Future future = asynch.getFuture();
      int rtn = (Integer) future.get();
      if (rtn != 5) throw new RuntimeException("integer return value invalid");

      pojo.testMethod("hello");

      future = asynch.getFuture();
      String srtn = (String) future.get();
      if (!"hello".equals(srtn)) throw new RuntimeException("string return value failed");

   }

}
