/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.resource.connectionmanager;

/**
 * MBean interface.
 */
public interface ConnectionFactoryBindingServiceMBean extends org.jboss.system.ServiceMBean {

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory.create("jboss.jca:service=ConnectionFactoryBinding");

   /**
    * Get the connection manager
    * @return the connection manager    */
  javax.management.ObjectName getConnectionManager() ;

   /**
    * Set the connection manager
    * @param cm the connection manager    */
  void setConnectionManager(javax.management.ObjectName cm) ;

   /**
    * Get the bind name
    * @return the real jndi binding    */
  java.lang.String getBindName() ;

   /**
    * Get the jndi name
    * @return the jndi name    */
  java.lang.String getJndiName() ;

   /**
    * Set the jndi name
    * @param jndiName the jndi name    */
  void setJndiName(java.lang.String jndiName) ;

   /**
    * Are we using the java naming context
    * @return true when using the java naming context, false otherwise    */
  boolean isUseJavaContext() ;

   /**
    * Set whether to use the java naming context
    * @param useJavaContext pass true to use the java naming context, false otherwise    */
  void setUseJavaContext(boolean useJavaContext) ;

}
