/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.resource.connectionmanager;

/**
 * MBean interface.
 */
public interface TxConnectionManagerMBean extends org.jboss.resource.connectionmanager.BaseConnectionManager2MBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss.jca:service=BaseConnectionManager");

   /**
    * mbean get-set pair for field transactionManagerService Get the value of transactionManagerService
    * @return value of transactionManagerService
    */
   javax.management.ObjectName getTransactionManagerService();

   /**
    * Set the value of transactionManagerService
    * @param transactionManagerService Value to assign to transactionManagerService
    */
   void setTransactionManagerService(javax.management.ObjectName transactionManagerService);

   /**
    * The TransactionManager attribute contains the jndi name of the TransactionManager. This is normally java:/TransactionManager.
    * @param name an <code>String</code> value
    * @deprecated use the ObjectName TransactionManagerService instead
    */
   void setTransactionManager(java.lang.String tmName);

   /**
    * Describe <code>getTransactionManager</code> method here.
    * @return an <code>String</code> value
    * @deprecated use the ObjectName TransactionManagerService instead
    */
   java.lang.String getTransactionManager();

   /**
    * mbean get-set pair for field trackConnectionByTx Get the value of trackConnectionByTx
    * @return value of trackConnectionByTx
    */
   boolean isTrackConnectionByTx();

   /**
    * Set the value of trackConnectionByTx
    * @param trackConnectionByTx Value to assign to trackConnectionByTx
    */
   void setTrackConnectionByTx(boolean trackConnectionByTx);

   /**
    * mbean get-set pair for field localTransactions Get the value of localTransactions
    * @return value of localTransactions
    */
   boolean isLocalTransactions();

   /**
    * Set the value of localTransactions
    * @param localTransactions Value to assign to localTransactions
    */
   void setLocalTransactions(boolean localTransactions);

   int getXAResourceTransactionTimeout();
   
   void setXAResourceTransactionTimeout(int timeout);
}
