/*  
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.resource.deployment;

import javax.management.ObjectName;

import org.jboss.deployment.SubDeployerExtMBean;
import org.jboss.mx.util.ObjectNameFactory;

/**
 * MBean interface.
 * 
 * @version $Revision: 1.1.6.3 $
 */
public interface RARDeployerMBean extends SubDeployerExtMBean
{
   /** The default ObjectName */
   static final ObjectName OBJECT_NAME = ObjectNameFactory.create("jboss.jca:service=RARDeployer");

   /**
    * Get the work manager name
    * @return the work manager name 
    */
   ObjectName getWorkManagerName();

   /**
    * Set the thread pool name
    * @param workManagerName the work manager name 
    */
   void setWorkManagerName(ObjectName workManagerName);

   /**
    * Get the XATerminator
    * @return the xa terminator
    */
   ObjectName getXATerminatorName();

   /**
    * Set the xa terminator
    * @param xaTerminatorName name the xa terminator name
    */
   void setXATerminatorName(ObjectName xaTerminatorName);

}
