/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.resource.work;

/**
 * MBean interface.
 */
public interface JBossWorkManagerMBean extends org.jboss.system.ServiceMBean
{

   /**
    * Get the thread pool name
    * @return the thread pool name    */
   javax.management.ObjectName getThreadPoolName();

   /**
    * Set the thread pool name
    * @param threadPoolName the thread pool name    */
   void setThreadPoolName(javax.management.ObjectName threadPoolName);

   /**
    * Get the XATerminator
    * @return the xa terminator    */
   javax.management.ObjectName getXATerminatorName();

   /**
    * Set the xa terminator
    * @param xaTerminator name the xa terminator name    */
   void setXATerminatorName(javax.management.ObjectName xaTerminatorName);

   /**
    * Get the reference to this work manager
    * @return the work manager    */
   javax.resource.spi.work.WorkManager getInstance();

}
