/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.console.manager;

/**
 * MBean interface.
 */
public interface PluginManagerMBean extends org.jboss.system.ServiceMBean
{

   /**
    * send a message
    */
   void registerPlugin(java.lang.String consolePluginClassName) throws java.lang.Exception;

   /**
    * send a message
    */
   void registerPlugin(org.jboss.console.manager.interfaces.ConsolePlugin plugin);

   /**
    * send a message
    */
   void unregisterPlugin(org.jboss.console.manager.interfaces.ConsolePlugin plugin);

   void regenerateAdminTree();

   void regenerateAdminTreeForProfile(java.lang.String profile);

   org.jboss.console.manager.interfaces.TreeInfo getTreeForProfile(java.lang.String profile);

   /**
    * Only return the tree if the actual version is bigger than the known version
    */
   org.jboss.console.manager.interfaces.TreeInfo getUpdateTreeForProfile(java.lang.String profile, long knownVersion);

   javax.management.MBeanServer getMBeanServer();

   org.jboss.console.manager.interfaces.ManageableResource getBootstrapResource();

   java.lang.String getJndiName();

   void setJndiName(java.lang.String jndiName);

   boolean isEnableShutdown();

   void setEnableShutdown(boolean enableShutdown);

   java.lang.String getMainLinkUrl();

   void setMainLinkUrl(java.lang.String mainLinkUrl);

   java.lang.String getMainLogoUrl();

   void setMainLogoUrl(java.lang.String mainLogoUrl);

}
