/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment.spi;

import javax.enterprise.deploy.model.DDBeanRoot;
import javax.enterprise.deploy.spi.DConfigBean;
import javax.enterprise.deploy.spi.DConfigBeanRoot;

/**
 * The DConfigBeanRoot object is a deployment configuration bean (DConfigBean)
 * that is associated with the root of the component's deployment descriptor.
 * It must be created by calling the DeploymentConfiguration.getDConfigBean(DDBeanRoot) method,
 * where DDBeanRoot represents the component's deployment descriptor.
 * 
 * @author thomas.diesler@jboss.org
 * @version $Revision: 1.1.1.1.4.1 $
 */
public class DConfigBeanRootImpl extends DConfigBeanImpl implements DConfigBeanRoot
{
   /**
    * Return the configuration that is not the primary deployment descriptor
    * 
    * @param beanRoot the root of the deployment descriptor
    * @return the configuration
    */
   public DConfigBean getDConfigBean(DDBeanRoot beanRoot)
   {
      return null;  //[todo] implement method
   }
}
