/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.tutorial.packaging.client;

import javax.naming.InitialContext;
import org.jboss.tutorial.packaging.bean.Session2;
import org.jboss.tutorial.packaging.bean.Session1;
import org.jboss.tutorial.packaging.bean.Entity1;
import org.jboss.tutorial.packaging.bean.Entity2;

/**
 * Sample client for the jboss container.
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: Client.java,v 1.1.2.3 2005/09/14 22:18:38 bill Exp $
 */

public class Client
{

   public static void main(String[] args) throws Exception
   {
      Session1 session1 = (Session1) getInitialContext().lookup(Session1.class.getName());
      Session2 session2 = (Session2) getInitialContext().lookup(Session2.class.getName());

      int oneF = session1.create1FromFactory();
      int oneM = session1.create1FromManager();
      int twoF = session1.create2FromFactory();
      int twoM = session1.create2FromManager();

      Entity1 one = session2.find1FromFactory(oneF);
      System.out.println("factory: " + one.getString());

      one = session2.find1FromManager(oneM);
      System.out.println("manager: " + one.getString());


      Entity2 two = session2.find2FromFactory(twoF);
      System.out.println("factory: " + two.getString());

      two = session2.find2FromManager(twoM);
      System.out.println("manager: " + two.getString());
   }

   public static InitialContext getInitialContext()  throws Exception
   {
      return new InitialContext();
   }



}
