/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.annotation.ejb;

import java.lang.annotation.Annotation;
import java.io.Serializable;
import org.jboss.annotation.ejb.DeliveryMode;
import org.jboss.annotation.ejb.MessageProperties;

/**
 * comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
public class MessagePropertiesImpl implements MessageProperties, Serializable
{
   private DeliveryMode deliveryMode = DeliveryMode.PERSISTENT;
   private int ttl = 0;
   private int priority = 4;

   public MessagePropertiesImpl(DeliveryMode deliveryMode, int ttl, int priority)
   {
      this.deliveryMode = deliveryMode;
      this.ttl = ttl;
      this.priority = priority;
   }

   public MessagePropertiesImpl(MessageProperties props)
   {
      deliveryMode = props.delivery();
      ttl = props.timeToLive();
      priority = props.priority();
   }

   public MessagePropertiesImpl()
   {

   }

   public DeliveryMode delivery()
   {
      return deliveryMode;
   }

   public int timeToLive()
   {
      return ttl;
   }

   public int priority()
   {
      return priority;
   }

   public Class<? extends Annotation> annotationType()
   {
      return MessageProperties.class;
   }
}
