/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3;

import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.Invocation;

/**
 * This interceptor is needed so that the ENC is propagated in asynchronous calls.
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.2.1 $
 */
public class ENCPropagationInterceptor implements Interceptor
{
   public String getName()
   {
      return this.getClass().getName();
   }

   public Object invoke(Invocation invocation) throws Throwable
   {
      try
      {
         Container container = (Container) invocation.getAdvisor();
         ThreadLocalENCFactory.push(container.getEnc());

         return invocation.invokeNext();
      }
      finally
      {
         ThreadLocalENCFactory.pop();
      }
   }
}
