/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.cache.tree;

import java.io.File;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import java.util.Set;
import org.jboss.cache.Fqn;
import org.jboss.cache.loader.FileCacheLoader;
import org.jboss.system.server.ServerConfig;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.6.3 $
 */
public class PassivationCacheLoader extends FileCacheLoader
{
   protected String filename;

   public void setConfig(Properties p)
   {
      String url = p.getProperty("location");
      String filename = System.getProperty(ServerConfig.SERVER_TEMP_DIR) + "/" + url;
      File fp = new File(filename);
      fp.mkdirs();
      p.setProperty("location", filename);
      super.setConfig(p);
   }

   public Set getChildrenNames(Fqn fqn) throws Exception
   {

      return null;
   }

   public Object get(Fqn fqn, Object key) throws Exception
   {
      throw new Exception("NOT IMPLEMENTED");
   }


   public Map get(Fqn fqn) throws Exception
   {
      Map map = super.get(fqn);
      if (map != null)
      {
         // remove the SFSB from disk when loaded
         remove(fqn);
      }
      return map;
   }

   public Object put(Fqn fqn, Object key, Object value) throws Exception
   {
      return null;
   }

   public void put(Fqn fqn, Map attributes) throws Exception
   {
   }

   public void put(Fqn fqn, Map attributes, boolean erase) throws Exception
   {
   }

   public void put(List modifications) throws Exception
   {
   }
}
