/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.cache.tree;

import java.util.Map;
import org.jboss.cache.Fqn;
import org.jboss.ejb3.stateful.StatefulBeanContext;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.6.3 $
 */
public class StatefulCacheLoader extends PassivationCacheLoader
{

   public StatefulCacheLoader()
   {
   }

   public Map get(Fqn fqn) throws Exception
   {
      Map map = super.get(fqn);
      if (map != null)
      {
         if (fqn.size() == 2)
         {
            StatefulBeanContext bean = (StatefulBeanContext) map.get("bean");
            bean.getContainer().invokePostActivate(bean.getInstance());
         }
      }
      return map;
   }
}
