/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.callback;

import java.lang.reflect.Method;
import org.jboss.aop.util.MethodHashing;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.3.6.3 $
 */
public abstract class Callback
{
   protected Method callbackMethod;
   protected long callbackMethodHash;

   public Callback(Method callbackMethod)
   {
      this.callbackMethod = callbackMethod;
      callbackMethodHash = MethodHashing.calculateHash(callbackMethod);
   }

   public Method getCallbackMethod()
   {
      return callbackMethod;
   }

   public long getCallbackMethodHash()
   {
      return callbackMethodHash;
   }

   public abstract void invoke(Object bean);
}
