/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

/**
 * Represents an env-entry element of the ejb-jar.xml deployment descriptor for
 * the 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.1.2.3 $</tt>
 */
public class EnvEntry
{
   private String description;

   private String envEntryName;

   private String envEntryType;

   private String envEntryValue;

   private String injectionTarget;

   public String getInjectionTarget()
   {
      return injectionTarget;
   }

   public void setInjectionTarget(String injectionTarget)
   {
      this.injectionTarget = injectionTarget;
   }

   public String getDescription()
   {
      return description;
   }

   public void setDescription(String description)
   {
      this.description = description;
   }

   public String getEnvEntryName()
   {
      return envEntryName;
   }

   public void setEnvEntryName(String envEntryName)
   {
      this.envEntryName = envEntryName;
   }

   public String getEnvEntryType()
   {
      return envEntryType;
   }

   public void setEnvEntryType(String envEntryType)
   {
      this.envEntryType = envEntryType;
   }

   public String getEnvEntryValue()
   {
      return envEntryValue;
   }

   public void setEnvEntryValue(String envEntryValue)
   {
      this.envEntryValue = envEntryValue;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("envEntryName=").append(envEntryName);
      sb.append(",envEntryType=").append(envEntryType);
      sb.append(",envEntryValue=").append(envEntryValue);
      sb.append("]");
      return sb.toString();
   }
}
