/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

import org.jboss.logging.Logger;

/**
 * Represents an <loader-repository> element of the jboss.xml deployment descriptor
 * for the 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.1.2.5 $</tt>
 */
public class LoaderRepository
{
   private static final Logger log = Logger.getLogger(LoaderRepository.class);

   private String value;
   private String loaderRespositoryClass;
   private LoaderRepositoryConfig config;

   public String getValue()
   {
      return value;
   }

   public void setValue(String value)
   {
      this.value = value;
   }

   public String getLoaderRepositoryClass()
   {
      return loaderRespositoryClass;
   }

   public void setLoaderRepositoryClass(String loaderRespositoryClass)
   {
      this.loaderRespositoryClass = loaderRespositoryClass;
   }

   public LoaderRepositoryConfig getLoaderRepositoryConfig()
   {
      return config;
   }

   public void setLoaderRepositoryConfig(LoaderRepositoryConfig config)
   {
      this.config = config;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("value=").append(value);
      sb.append(", loaderRespositoryClass=").append(loaderRespositoryClass);
      sb.append(", config=").append(config);
      sb.append("]");
      return sb.toString();
   }
}
