/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;


/**
 * Represents a <message-destination-ref> element of the ejb-jar.xml deployment descriptor for the
 * 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.3.2.3 $</tt>
 */
public class MessageDestinationRef
{

   private String description;

   private String messageDestinationRefName;

   private String messageDestinationType;

   private String messageDestinationUsage;

   private String messageDestinationLink;

   private String injectionTarget;

   public String getInjectionTarget()
   {
      return injectionTarget;
   }

   public void setInjectionTarget(String injectionTarget)
   {
      this.injectionTarget = injectionTarget;
   }

   public String getDescription()
   {
      return description;
   }

   public void setDescription(String description)
   {
      this.description = description;
   }

   public String getMessageDestinationRefName()
   {
      return messageDestinationRefName;
   }

   public void setMessageDestinationRefName(String messageDestinationRefName)
   {
      this.messageDestinationRefName = messageDestinationRefName;
   }

   public String getMessageDestinationType()
   {
      return messageDestinationType;
   }

   public void setMessageDestinationType(String messageDestinationType)
   {
      this.messageDestinationType = messageDestinationType;
   }

   public String getMessageDestinationUsage()
   {
      return messageDestinationUsage;
   }

   public void setMessageDestinationUsage(String messageDestinationUsage)
   {
      this.messageDestinationUsage = messageDestinationUsage;
   }

   public String getMessageDestinationLink()
   {
      return messageDestinationLink;
   }

   public void setMessageDestinationLink(String messageDestinationLink)
   {
      this.messageDestinationLink = messageDestinationLink;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("messageDestinationRefName=").append(messageDestinationRefName);
      sb.append("]");
      return sb.toString();
   }
}
