/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

/**
 * Represents a <security-identity> element of the ejb-jar.xml deployment descriptor for the
 * 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.5.2.3 $</tt>
 */
public class SecurityIdentity
{
   private String id;

   private boolean useCallerIdentity = false;

   private String runAs;

   private String runAsPrincipal;

   public String getId()
   {
      return id;
   }

   public void setId(String id)
   {
      this.id = id;
   }

   public boolean isUseCallerIdentity()
   {
      return useCallerIdentity;
   }

   public void setUseCallerIdentity(boolean useCallerIdentity)
   {
      this.useCallerIdentity = useCallerIdentity;
   }

   public String getRunAs()
   {
      return runAs;
   }

   public void setRunAs(String runAs)
   {
      this.runAs = runAs;
   }

   public String getRunAsPrincipal()
   {
      return runAsPrincipal;
   }

   public void setRunAsPrincipal(String runAsPrincipal)
   {
      this.runAsPrincipal = runAsPrincipal;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("ejbName=").append(id);
      sb.append("]");
      return sb.toString();
   }

}
