/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.entity;

import javax.persistence.FlushModeType;
import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.Invocation;

/**
 * This interceptor must be called before the Tx interceptor to make sure tha the TxLocal is set properly
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
public class BeforeTxFlushModeInterceptor implements Interceptor
{

   public String getName()
   {
      return BeforeTxFlushModeInterceptor.class.getName();
   }


   public Object invoke(Invocation invocation) throws Throwable
   {

      FlushModeType old = (FlushModeType) FlushModeInterceptor.flushMode.get();
      try
      {
         return invocation.invokeNext();
      }
      finally
      {
         FlushModeInterceptor.flushMode.set(old);
         if (FlushModeInterceptor.txFlushMode.getTransaction() != null) FlushModeInterceptor.txFlushMode.set(old);
      }
   }
}
