/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.injection;

import java.lang.reflect.Field;
import org.jboss.ejb3.BeanContext;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.2.5 $
 */
public class EJBContextFieldInjector implements Injector
{
   private Field field;

   public EJBContextFieldInjector(Field field)
   {
      this.field = field;
   }

   public void inject(BeanContext ctx)
   {

      try
      {
         field.set(ctx.getInstance(), ctx);
      }
      catch (IllegalAccessException e)
      {
         throw new RuntimeException(e);
      }
   }
}
