/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.injection;

import java.lang.reflect.Field;
import org.jboss.ejb3.BeanContext;
import org.jboss.ejb3.Container;
import org.jboss.logging.Logger;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.2.4 $
 */
public class EntityManagerFactoryFieldInjector implements Injector
{
   private static final Logger log = Logger.getLogger(EntityManagerFactoryFieldInjector.class);
   private Field field;
   private Container container;
   private Object factory;

   public EntityManagerFactoryFieldInjector(Field field, Container container, Object factory)
   {
      this.field = field;
      this.field.setAccessible(true);
      this.container = container;
      this.factory = factory;
   }

   public void inject(BeanContext ctx)
   {
      try
      {
         field.set(ctx.getInstance(), factory);
      }
      catch (IllegalAccessException e)
      {
         throw new RuntimeException(e);  //To change body of catch statement use Options | File Templates.
      }
      catch (IllegalArgumentException e)
      {
         throw new RuntimeException("Failed in setting EntityManager on setter field: " + field.toString());
      }
   }

}
