/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.mdb;

import java.io.Serializable;
import java.lang.annotation.Annotation;
import org.jboss.annotation.ejb.Producer;

/**
 * comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
public class ProducerImpl implements Producer, Serializable
{
   private String connectionFactory;
   private boolean transacted = false;
   private int acknoledgeMode = 1;

   public ProducerImpl(String connectionFactory, boolean transacted, int acknoledgeMode)
   {
      this.connectionFactory = connectionFactory;
      this.transacted = transacted;
      this.acknoledgeMode = acknoledgeMode;
   }

   public ProducerImpl(Producer producer)
   {
      connectionFactory = producer.connectionFactory();
      transacted = producer.transacted();
      acknoledgeMode = producer.acknowledgeMode();
   }

   public String connectionFactory()
   {
      return connectionFactory;
   }

   public boolean transacted()
   {
      return transacted;
   }

   public int acknowledgeMode()
   {
      return acknoledgeMode;
   }

   public Class<? extends Annotation> annotationType()
   {
      return Producer.class;
   }
}
