/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.remoting;

import java.rmi.MarshalledObject;
import java.io.Serializable;
import org.jboss.aop.Dispatcher;
import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.Invocation;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.2.3 $
 */
public class IsLocalInterceptor implements Interceptor, Serializable
{
   
   public static final String IS_LOCAL = "IS_LOCAL";
   public String getName()
   {
      return getClass().getName();
   }

   public Object invoke(Invocation invocation) throws Throwable
   {
      Object oid = invocation.getMetaData(Dispatcher.DISPATCHER, Dispatcher.OID);
      if (Dispatcher.singleton.isRegistered(oid))
      {
         Invocation copy = (Invocation)new MarshalledObject(invocation).get();
         copy.getMetaData().addMetaData(IS_LOCAL, IS_LOCAL, Boolean.TRUE);
         org.jboss.aop.joinpoint.InvocationResponse response = Dispatcher.singleton.invoke(copy);
         invocation.setResponseContextInfo(response.getContextInfo());
         return response.getResponse();
      }
      return invocation.invokeNext();
   }
}
