/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.security;

import java.security.GeneralSecurityException;
import javax.ejb.EJBAccessException;
import org.jboss.aspects.security.AuthenticationInterceptor;
import org.jboss.security.AuthenticationManager;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.2.3 $
 */
public class Ejb3AuthenticationInterceptor extends AuthenticationInterceptor
{
   public Ejb3AuthenticationInterceptor(AuthenticationManager manager)
   {
      super(manager);
   }

   protected void handleGeneralSecurityException(GeneralSecurityException gse)
   {
      throw new EJBAccessException("Authentication failure", gse);
   }
}
