/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.stateful;

import javax.ejb.Remove;
import org.jboss.aop.Advisor;
import org.jboss.aop.InstanceAdvisor;
import org.jboss.aop.advice.AspectFactory;
import org.jboss.aop.joinpoint.Joinpoint;
import org.jboss.aop.joinpoint.MethodJoinpoint;

/**
 * comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
public class StatefulRemoveFactory implements AspectFactory
{
   public Object createPerVM()
   {
      throw new IllegalStateException("PER_VM NOT APPLICABLE");
   }

   public Object createPerClass(Advisor advisor)
   {
      throw new IllegalStateException("PER_VM NOT APPLICABLE");
   }

   public Object createPerInstance(Advisor advisor, InstanceAdvisor instanceAdvisor)
   {
      throw new IllegalStateException("PER_VM NOT APPLICABLE");
   }

   public Object createPerJoinpoint(Advisor advisor, Joinpoint jp)
   {
      Remove rm = (Remove) advisor.resolveAnnotation(((MethodJoinpoint) jp).getMethod(), Remove.class);
      return new StatefulRemoveInterceptor(rm.retainIfException());
   }

   public Object createPerJoinpoint(Advisor advisor, InstanceAdvisor instanceAdvisor, Joinpoint jp)
   {
      throw new IllegalStateException("PER_VM NOT APPLICABLE");
   }

   public String getName()
   {
      return "StatefulRemoveInterceptor";
   }
}
