/*
 * Copyright 1999 by dreamBean Software,
 * All rights reserved.
 */
package org.jboss.ejb3.test.bank;

import java.rmi.*;

/**
 * @see <related>
 * @author $Author: bill $
 * @version $Revision: 1.8.2.4 $
 */
public interface Bank
{
   public static final String JNDI_NAME = "bank/Bank";
   
   public String getId() throws RemoteException;
   
   public String getEnvEntryId() throws javax.naming.NamingException, RemoteException;

   public String createAccountId(Customer customer) throws RemoteException;

   public String createCustomerId() throws RemoteException;

   public void storeCustomerId(String customerId) throws RemoteException;

   public String retrieveCustomerId() throws RemoteException;
   
   public String interceptCustomerId(String customerId) throws RemoteException;
   
   public void testResource() throws Exception;
   
   public void remove();
   
   public String isInitialized();
   
   public String isActivated();
}

/*
 * $Id: Bank.java,v 1.8.2.4 2005/09/14 22:19:01 bill Exp $ Currently locked
 * by:$Locker:  $ Revision: $Log: Bank.java,v $
 * by:$Locker:  $ Revision: Revision 1.8.2.4  2005/09/14 22:19:01  bill
 * by:$Locker:  $ Revision: merge from head
 * by:$Locker:  $ Revision:
 * by:$Locker:  $ Revision: Revision 1.9  2005/08/24 20:30:43  bdecoste
 * by:$Locker:  $ Revision: support for <env-entry>
 * by:$Locker:  $ Revision:
 * by:$Locker:  $ Revision: Revision 1.8  2005/06/02 23:25:14  bdecoste
 * by:$Locker:  $ Revision: ejb3 jboss.xml support
 * by:$Locker:  $ Revision:
 * by:$Locker:  $ Revision: Revision 1.7  2005/05/26 02:24:09  bdecoste
 * by:$Locker:  $ Revision: support for @Init
 * by:$Locker:  $ Revision:
 * by:$Locker:  $ Revision: Revision 1.6  2005/05/25 18:57:19  bdecoste
 * by:$Locker:  $ Revision: added support for @Remove and @Exclude
 * by:$Locker:  $ Revision:
 * by:$Locker:  $ Revision: Revision 1.5  2005/05/17 22:37:42  bdecoste
 * by:$Locker:  $ Revision: remove ejb2.1 rules
 * by:$Locker:  $ Revision:
 * by:$Locker:  $ Revision: Revision 1.4  2005/05/14 20:54:02  bdecoste
 * by:$Locker:  $ Revision: added ejb3 dd support for Resource
 * by:$Locker:  $ Revision:
 * by:$Locker:  $ Revision: Revision 1.3  2005/05/12 20:31:46  bdecoste
 * by:$Locker:  $ Revision: added ejb3 dd support for injection, callbacks, EJB
 * by:$Locker:  $ Revision:
 * by:$Locker:  $ Revision: Revision 1.2  2005/05/03 23:51:01  bdecoste
 * by:$Locker:  $ Revision: fixed formatting
 * by:$Locker:  $ Revision: Revision 1.1 2005/05/03 20:35:11
 * bdecoste test for ejb3 deployment descriptors Revision 1.2 2001/01/07
 * 23:14:35 peter Trying to get JAAS to work within test suite. Revision 1.1.1.1
 * 2000/06/21 15:52:38 oberg Initial import of jBoss test. This module contains
 * CTS tests, some simple examples, and small bean suites.
 */
