/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.bank;

import javax.ejb.PostConstruct;
import javax.ejb.PreDestroy;
import javax.ejb.PostActivate;
import javax.ejb.PrePassivate;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.2.4 $
 */             
public class ExternalCallbackListener
{
   @PostConstruct
   public void postConstruct(Object bean)
   {
      TestStatusBean.postConstruct = true;
   }

   @PreDestroy
   public void preDestroy(Object bean)
   {
      TestStatusBean.preDestroy = true;
   }

   @PostActivate
   public void postActivate(Object bean)
   {
      TestStatusBean.postActivate = true;
   }

   @PrePassivate
   public void prePassivate(Object bean)
   {
      TestStatusBean.prePassivate = true;
   }
}
