/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
//$Id: FieldCustomer.java,v 1.4.2.5 2005/09/27 01:49:17 starksm Exp $
package org.jboss.ejb3.test.composite;

import java.util.Set;
import javax.persistence.AccessType;
import javax.persistence.CascadeType;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToMany;
import javax.persistence.OneToMany;

/**
 * @author Emmanuel Bernard
 */
@Entity(access = AccessType.FIELD)
public class FieldCustomer implements java.io.Serializable
{
   @EmbeddedId
   FieldCustomerPK pk;

   @OneToMany(cascade = CascadeType.ALL, fetch = FetchType.EAGER, mappedBy="customer")
   Set<FieldTicket> tickets;

   @ManyToMany(cascade = {CascadeType.PERSIST, CascadeType.MERGE}, fetch = FetchType.EAGER, mappedBy="customers")
   Set<FieldFlight> flights;

   public FieldCustomer()
   {
   }

   public FieldCustomerPK getPk()
   {
      return pk;
   }

   public void setPk(FieldCustomerPK pk)
   {
      this.pk = pk;
   }

   public String getName()
   {
      return pk.name;
   }

   public Set<FieldTicket> getTickets()
   {
      return tickets;
   }

   public void setTickets(Set<FieldTicket> tickets)
   {
      this.tickets = tickets;
   }

   public Set<FieldFlight> getFlights()
   {
      return flights;
   }

   public void setFlights(Set<FieldFlight> flights)
   {
      this.flights = flights;
   }


}

