/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
//$Id: FieldTicket.java,v 1.3.2.5 2005/09/27 01:49:17 starksm Exp $
package org.jboss.ejb3.test.composite;

import javax.persistence.AccessType;
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.GeneratorType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.AccessType;

/**
 * Flight ticket
 *
 * @author Emmanuel Bernard
 */
@Entity(access = AccessType.FIELD)
public class FieldTicket implements java.io.Serializable
{
   @Id(generate = GeneratorType.IDENTITY)
   Long id;
   String number;
   @ManyToOne(cascade = CascadeType.ALL)
   @JoinColumns({@JoinColumn(name = "CUSTOMER_ID"), @JoinColumn(name = "CUSTOMER_NAME")})
   FieldCustomer customer;

   public FieldTicket()
   {
   }

   public Long getId()
   {
      return id;
   }

   public String getNumber()
   {
      return number;
   }

   public void setId(Long long1)
   {
      id = long1;
   }

   public void setNumber(String string)
   {
      number = string;
   }

   public FieldCustomer getCustomer()
   {
      return customer;
   }

   public void setCustomer(FieldCustomer customer)
   {
      this.customer = customer;
   }

}

