/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.composite2;

import java.io.Serializable;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

/**
 * comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
@Entity
public class Composite implements Serializable
{
   private CompositePK pk;
   private CompositeContainer container;

   @EmbeddedId
   public CompositePK getPk()
   {
      return pk;
   }

   public void setPk(CompositePK pk)
   {
      this.pk = pk;
   }

   @ManyToOne(fetch=FetchType.EAGER)
   @JoinColumn(name="id2", insertable=false, updatable=false)
   public CompositeContainer getContainer()
   {
      return container;
   }

   public void setContainer(CompositeContainer container)
   {
      this.container = container;
   }
}
