/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.consumer.unit;

//import java.rmi.*;


import junit.framework.Test;
import org.jboss.ejb3.test.consumer.QueueTestRemote;
import org.jboss.ejb3.test.consumer.TestStatus;
import org.jboss.ejb3.mdb.ProducerManager;
import org.jboss.ejb3.mdb.ProducerObject;
import org.jboss.test.JBossTestCase;

/**
 * Sample client for the jboss container.
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: ConsumerUnitTestCase.java,v 1.5.4.4 2005/09/14 22:19:04 bill Exp $
 */

public class ConsumerUnitTestCase
        extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();

   static boolean deployed = false;
   static int test = 0;

   public ConsumerUnitTestCase(String name)
   {

      super(name);

   }

   public void testQueue() throws Exception
   {
      TestStatus status = (TestStatus) getInitialContext().lookup(TestStatus.class.getName());
      status.clear();
      QueueTestRemote tester = (QueueTestRemote) getInitialContext().lookup(QueueTestRemote.class.getName());
      ProducerManager manager = (ProducerManager) ((ProducerObject) tester).getProducerManager();
      manager.connect();
      try
      {
         tester.method1("testQueue", 5);
         Thread.sleep(1000);
         assertEquals(status.queueFired(), "method1");
         assertEquals(status.interceptedQueue(), "method1");
         assertTrue(status.postConstruct());

         tester.method2("testQueue", 5.5F);
         Thread.sleep(1000);
         assertEquals(status.queueFired(), "method2");
         assertEquals(status.interceptedQueue(), "method2");
         assertTrue(status.postConstruct());
      }
      finally
      {
         manager.close();
      }

      //TODO: Figure out how to test preDestroy gets invoked
      //assertTrue(status.preDestroy());
   }

   public void testQueueXA() throws Exception
   {
      TestStatus status = (TestStatus) getInitialContext().lookup(TestStatus.class.getName());
      status.clear();
      status.testXA();

      Thread.sleep(1000);
      assertEquals(status.queueFired(), "method2");
      assertEquals(status.interceptedQueue(), "method2");
   }

   public void testQueueLocal() throws Exception
   {
      TestStatus status = (TestStatus) getInitialContext().lookup(TestStatus.class.getName());
      status.clear();
      status.testLocal();

      Thread.sleep(1000);
      assertEquals(status.queueFired(), "method2");
      assertEquals(status.interceptedQueue(), "method2");
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(ConsumerUnitTestCase.class, "mdbtest-service.xml, consumer-test.ejb3");
   }

}
