/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.ejb3.test.dd.web.interfaces;

import java.rmi.RemoteException;

/** A trivial SessionBean interface.

 @author Scott.Stark@jboss.org
 @version $Revision: 1.1.2.4 $
 */
public interface StatelessSession
{
   /** A method that returns its arg */
   public String echo(String arg) throws RemoteException;

   /** A method that does nothing. It is used to test call optimization.
    */
   public void noop(ReferenceTest test, boolean optimized) throws RemoteException;

   /** Forward a request to another StatelessSession's echo method */
   public String forward(String echoArg) throws RemoteException;

   /** Return a data object */
   public ReturnData getData() throws RemoteException;
}
