/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
//$Id: FieldCustomer.java,v 1.3.2.5 2005/09/27 01:49:19 starksm Exp $
package org.jboss.ejb3.test.dependent;

import javax.persistence.AccessType;
import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.Embedded;
import javax.persistence.Entity;
import javax.persistence.GeneratorType;
import javax.persistence.Id;

/**
 * Company customer
 *
 * @author Emmanuel Bernard
 */
@Entity(access = AccessType.FIELD)
public class FieldCustomer implements java.io.Serializable
{
   @Id(generate = GeneratorType.IDENTITY)
   Long id;

   String name;

   @Embedded
   Address address;

   @Embedded   @AttributeOverrides({
   @AttributeOverride(name = "street", column = @Column(name = "street2")),
   @AttributeOverride(name = "city", column = @Column(name = "city2")),
   @AttributeOverride(name = "state", column = @Column(name = "state2")),
   @AttributeOverride(name = "zip", column = @Column(name = "zip2"))
   })

   FieldAddress address2;

   public FieldCustomer()
   {
   }

   public Long getId()
   {
      return id;
   }

   public String getName()
   {
      return name;
   }

   public void setId(Long long1)
   {
      id = long1;
   }

   public void setName(String string)
   {
      name = string;
   }

   public Address getAddress()
   {
      return address;
   }

   public void setAddress(Address address)
   {
      this.address = address;
   }

   public FieldAddress getAddress2()
   {
      return address2;
   }

   public void setAddress2(FieldAddress address)
   {
      this.address2 = address;
   }

}

