/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.entity;

import javax.persistence.AccessType;
import javax.persistence.Entity;
import javax.persistence.GeneratorType;
import javax.persistence.Id;
import javax.persistence.NamedQuery;

/**
 * For testing named queries
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.2.2.4 $
 */
@Entity(access=AccessType.FIELD)
@NamedQuery(name="airportByCode", queryString="from FieldAirport a where a.code=:code")
public class FieldAirport
{

   @Id(generate = GeneratorType.AUTO)
   Long id;
   String code;
   String city;

   public FieldAirport() {}

   public FieldAirport(String code, String city)
   {
      this.code = code;
      this.city = city;
   }

}
