/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.entitycallback;

import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.Entity;
import javax.persistence.EntityListener;
import javax.persistence.GeneratorType;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.5.2.4 $
 */
@Entity
@Inheritance(strategy = InheritanceType.SINGLE_TABLE, discriminatorType = DiscriminatorType.STRING)
@DiscriminatorColumn(name = "JOURNEY_TYPE", nullable = true)
@EntityListener(JourneyCallbackListener.class)
public class Journey
{
   Long id;
   private String start;
   private String dest;

   private Customer customer;

   public Journey()
   {

   }

   public Journey(String start, String dest)
   {
      this.start = start;
      this.dest = dest;
   }

   @Id(generate = GeneratorType.AUTO)
   public Long getId()
   {
      return id;
   }

   public void setId(Long id)
   {
      this.id = id;
   }

   public String getStart()
   {
      return start;
   }

   public void setStart(String start)
   {
      this.start = start;
   }

   public String getDest()
   {
      return dest;
   }

   public void setDest(String dest)
   {
      this.dest = dest;
   }

   public void setCustomer(Customer customer)
   {
      this.customer = customer;
   }

   @ManyToOne
   @JoinColumn(name = "CUSTOMER_ID")
   public Customer getCustomer()
   {
      return customer;
   }
}
