/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.entityexception.unit;

import junit.framework.Test;

import org.jboss.ejb3.test.entityexception.ExceptionTest;
import org.jboss.ejb3.test.entityexception.Person;
import org.jboss.test.JBossTestCase;

public class EntityExceptionTestCase extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();
   
   Person kabir;
   
   public EntityExceptionTestCase(String name)
   {
      super(name);
   }

   public void testTransactionRequiredException() throws Exception
   {
      ExceptionTest test = 
         (ExceptionTest)getInitialContext().lookup(ExceptionTest.class.getName());
      test.testTransactionRequiredException();
   }
   
   public void testPersistExceptions() throws Exception
   {
      ExceptionTest test = 
         (ExceptionTest)getInitialContext().lookup(ExceptionTest.class.getName());
      kabir = new Person(1, "Kabir");
      kabir = test.createEntry(kabir);
      
      test.testEMPersistExceptions();
   }

   public void testEMFindExceptions() throws Exception
   {
      ExceptionTest test = 
         (ExceptionTest)getInitialContext().lookup(ExceptionTest.class.getName());
      assertTrue(test.testEMFindExceptions());
   }

   public void testEMMergeExceptions() throws Exception
   {
      ExceptionTest test = 
         (ExceptionTest)getInitialContext().lookup(ExceptionTest.class.getName());
      test.testEMMergeExceptions();
   }
   
   public void testEMCreateQueryExceptions() throws Exception
   {
      ExceptionTest test = 
         (ExceptionTest)getInitialContext().lookup(ExceptionTest.class.getName());
      test.testEMCreateQueryExceptions();
   }
   
   public void testEMRefreshExceptions() throws Exception
   {
      ExceptionTest test = 
         (ExceptionTest)getInitialContext().lookup(ExceptionTest.class.getName());
      test.testEMRefreshExceptions();
   }
   
   public void testEMContainsExceptions() throws Exception
   {
      ExceptionTest test = 
         (ExceptionTest)getInitialContext().lookup(ExceptionTest.class.getName());
      test.testEMContainsExceptions();
   }
   
   public void testQuerySingleResultExceptions()throws Exception
   {
      ExceptionTest test = 
         (ExceptionTest)getInitialContext().lookup(ExceptionTest.class.getName());
      test.testQuerySingleResultExceptions();
   }

   public void testQuerySetHintAndParameter()throws Exception
   {
      ExceptionTest test = 
         (ExceptionTest)getInitialContext().lookup(ExceptionTest.class.getName());
      test.testQuerySetHintAndParameter();
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(EntityExceptionTestCase.class, "entityexception-test.ejb3");
   }


}
