/*
 * Copyright 1999 by dreamBean Software,
 * All rights reserved.
 */
package org.jboss.ejb3.test.exception.unit;

import javax.naming.*;

import org.jboss.ejb3.test.exception.Foo1;
import org.jboss.ejb3.test.exception.FooException1;
import org.jboss.logging.Logger;

import junit.framework.Test;

import org.jboss.test.JBossTestCase;

/**
 * @version <tt>$Revision: 1.1.2.4 $</tt>
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 */
public class ExceptionTestCase
    extends JBossTestCase {

   private static final Logger log = Logger
         .getLogger(ExceptionTestCase.class);

   public ExceptionTestCase(String name)
   {
      super(name);
   }
   
   public void testException() throws Exception
   {
      InitialContext jndiContext = new InitialContext();
      
      Foo1 foo = (Foo1) jndiContext.lookup(Foo1.class.getName());
      assertNotNull(foo);
      
      try {
         foo.bar();
         assertTrue(false);
      } catch (Throwable t){
         t.printStackTrace();
         assertTrue(t instanceof FooException1);
      }
      
      String status = foo.getStatus();
      assertEquals("Caught FooException1", status);
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(ExceptionTestCase.class, "exception.ejb3");
   }

}
