/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.factory;

import javax.ejb.Remote;
import javax.ejb.Remove;
import javax.ejb.Stateful;
import javax.persistence.EntityManager;
import javax.persistence.FlushMode;
import javax.persistence.FlushModeType;
import javax.persistence.PersistenceContext;
import javax.persistence.PersistenceContextType;
import javax.persistence.PersistenceContext;
import javax.persistence.PersistenceContext;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.2.4 $
 */
@Stateful
@Remote(Stateful1.class)
public class Stateful1Bean implements Stateful1, java.io.Serializable
{
   @PersistenceContext(type =PersistenceContextType.EXTENDED) EntityManager manager1;
   @PersistenceContext(unitName = "manager2", type =PersistenceContextType.EXTENDED) EntityManager manager2;

   Entity1 one;
   Entity2 two;

   public int create1()
   {
      one = new Entity1();
      one.setString("oneManager");
      manager1.persist(one);
      return one.getId();
   }

   public int create2()
   {
      two = new Entity2();
      two.setString("twoManager");
      manager2.persist(two);
      return two.getId();
   }

   public void update1()
   {
      one.setString("changed");
   }

   public void update2()
   {
      two.setString("changed");
   }

   @FlushMode(FlushModeType.NEVER)
   public void never()
   {
      one.setString("never");
      two.setString("never");
   }

   @Remove
   public void checkout() {}


}
