/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.initial;

import javax.annotation.EJB;
import javax.annotation.EJBs;
import javax.annotation.Resource;
import javax.ejb.Remote;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;
import org.jboss.ejb3.Container;


/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.5.2.4 $
 */
@Stateless
@EJBs({@EJB(name="injected", businessInterface=org.jboss.ejb3.test.initial.TestStatus.class, beanName="org.jboss.ejb3.initial.TestStatusBean")})
@Remote(ClassInjected.class)
public class ClassInjectedBean implements ClassInjected
{
   @Resource
   SessionContext ctx;
   
   public boolean isInjected() throws Exception
   {
      TestStatus status = (TestStatus)ctx.lookup(Container.ENC_CTX_NAME + "/env/ejb/injected");
      return true;
   }
}
