/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.initial;

import javax.annotation.security.DenyAll;
import javax.annotation.security.PermitAll;
import javax.annotation.security.RolesAllowed;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import org.jboss.annotation.security.SecurityDomain;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.4.2.5 $
 */
@Stateless
@SecurityDomain("other")
@Remote(SecuredTestRemote.class)
@Local(SecuredTestLocal.class)
public class SecuredTestBean implements SecuredTestLocal, SecuredTestRemote
{
   @PermitAll
   public void unchecked()
   {
   }

   @DenyAll
   public void excluded()
   {
   }

   @RolesAllowed ({"allowed"})
   public void secured()
   {
   }

   public void testDefault()
   {
   }
}



