/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.initial;

import java.util.Map;
import java.util.HashMap;
import javax.ejb.Remove;
import javax.ejb.Stateful;
import javax.ejb.Remote;
import javax.ejb.Local;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.2.5 $
 */
@Stateful
@Remote(StatefulTestRemote.class)
@Local(StatefulTestLocal.class)
public class StatefulTestBean implements StatefulTestRemote, StatefulTestLocal, java.io.Serializable
{
   private String state;

   public void setState(String state)
   {
      this.state = state;
   }

   public String getState()
   {
      System.out.println("**JDK15 getstate");
      return state;
   }

   @Remove
   public void endSession()
   {
   }


   public static Map obj = new HashMap();

   public Map getObject()
   {
      return obj;
   }

   public Object echo(Object e)
   {
      return e;
   }
}
