/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
//$Id: Customer.java,v 1.6.2.5 2005/09/27 01:49:19 starksm Exp $
package org.jboss.ejb3.test.joininheritance;

import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.NamedQuery;

/**
 * @author Gavin King
 */
@Entity
@Table(name="CUSTOMER_TABLE")
@Inheritance(strategy = InheritanceType.JOINED)
public class Customer extends Person
{
   private Employee salesperson;
   private String comments;

   @OneToOne
   @JoinColumn(name = "salesperson")
   public Employee getSalesperson()
   {
      return salesperson;
   }

   public void setSalesperson(Employee salesperson)
   {
      this.salesperson = salesperson;
   }

   public String getComments()
   {
      return comments;
   }

   public void setComments(String comments)
   {
      this.comments = comments;
   }
}
