/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.mdb;

import javax.annotation.security.RolesAllowed;
import javax.ejb.Remote;
import javax.ejb.Stateful;

import org.jboss.annotation.ejb.RemoteBinding;
import org.jboss.annotation.security.SecurityDomain;

/**
 * Comment
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version $Revision: 1.1.2.3 $
 */
@Stateful(name="Stateless")
@Remote(org.jboss.ejb3.test.mdb.Stateless.class)
@RemoteBinding(jndiBinding = "Stateless")
@SecurityDomain("other")
public class StatelessBean
{
   private static String state = null;

   @RolesAllowed({"anyone"})
   public String getState()
   {
      return state;
   }

   @RolesAllowed({"TestRole"})
   public void setState(String state)
   {
      this.state = state;
   }
}
