/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.mdb;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.AroundInvoke;
import javax.ejb.InvocationContext;
import javax.ejb.MessageDriven;
import javax.jms.Message;
import javax.jms.MessageListener;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.4.6.4 $
 */
@MessageDriven(activateConfig =
        {
        @ActivationConfigProperty(propertyName="destinationType", propertyValue="javax.jms.Topic"),
        @ActivationConfigProperty(propertyName="destination", propertyValue="topic/mdbtest"),
        @ActivationConfigProperty(propertyName="durability", propertyValue="Durable"),
        @ActivationConfigProperty(propertyName="subscriptionName", propertyValue="topicmdb")
        })
public class TopicTestMDB implements MessageListener
{
   public void onMessage(Message recvMsg)
   {
      System.out.println("TopicTestMDB onMessage");
      TestStatusBean.topicRan = true;
   }

   @AroundInvoke
   public Object intercept(InvocationContext ctx) throws Exception
   {
      TestStatusBean.interceptedTopic = true;
      return ctx.proceed();
   }
}
