/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.pkg;


import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import javax.persistence.PersistenceContext;
import javax.persistence.PersistenceContext;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.3.2.4 $
 */
@Stateless
@Remote(EntityTest.class)
public class EntityTestBean implements EntityTest
{
   @PersistenceContext
   private EntityManager manager;

   public Customer createCustomer()
   {
      Customer c = new Customer();
      c.setName("Bill");
      c.setStreet("Landsdown Street");
      c.setCity("Boston");
      c.setState("MA");
      c.setZip("02114");
      manager.persist(c);
      return c;
   }

   public Customer findByCustomerId(Long id)
   {
      Query query = manager.createNamedQuery("customerById");
      return (Customer)query.setParameter("id", id).getSingleResult();
   }
}
