/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.regression;

import java.io.Serializable;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
@Entity
@Table(name="accountname")
public class AccountName implements Serializable
{
   private AccountNamePK pk;
   private Account account;

   @EmbeddedId
   public AccountNamePK getPk()
   {
      return pk;
   }

   public void setPk(AccountNamePK pk)
   {
      this.pk = pk;
   }

   @ManyToOne
   @JoinColumn(name="id")
   public Account getAccount()
   {
      return account;
   }

   public void setAccount(Account account)
   {
      this.account = account;
   }
}
