/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.regression.unit;

//import java.rmi.*;


import junit.framework.Test;
import org.jboss.ejb3.test.regression.FootballTeam;
import org.jboss.ejb3.test.regression.InheritanceSession;
import org.jboss.test.JBossTestCase;

/**
 * Test reentrant remote call.  There was a bug that remoting didn't route locally
 * and the tx propagation was happening when it shouldn't
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: InheritanceUnitTestCase.java,v 1.1.6.4 2005/09/14 22:19:13 bill Exp $
 */

public class InheritanceUnitTestCase
extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();

   static boolean deployed = false;
   static int test = 0;

   public InheritanceUnitTestCase(String name)
   {

      super(name);

   }

   public void testInheritance() throws Exception
   {
      InheritanceSession remote = (InheritanceSession) getInitialContext().lookup(InheritanceSession.class.getName());
      long branchId = remote.createBranch();
      FootballTeam team = (FootballTeam) remote.getBranch(branchId);
      assertEquals(team.getEmployees().size(), 2);
      assertEquals(remote.getContacts().size(), 3);
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(InheritanceUnitTestCase.class, "regression-test.ejb3");
   }

}
