/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.relationships;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.GeneratorType;
import javax.persistence.OneToOne;
import javax.persistence.JoinColumn;
import javax.persistence.Id;
import javax.persistence.OneToOne;
import javax.persistence.CascadeType;
import javax.persistence.OneToMany;
import javax.persistence.FetchType;
import javax.persistence.FetchType;
import javax.persistence.GeneratorType;
import javax.persistence.Entity;
import java.io.Serializable;
import java.util.Set;

/**
 * comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
@Entity
public class Customer implements Serializable
{
   private long id;
   private CustomerRecord customerRecord;
   private Set<Order> orders;

   @Id(generate=GeneratorType.AUTO)
   public long getId()
   {
      return id;
   }

   public void setId(long id)
   {
      this.id = id;
   }

   @OneToOne(cascade={CascadeType.ALL})
   @JoinColumn(name="CUSTREC_ID")
   public CustomerRecord getCustomerRecord()
   {
      return customerRecord;
   }

   public void setCustomerRecord(CustomerRecord customerRecord)
   {
      this.customerRecord = customerRecord;
   }

   @OneToMany(mappedBy="customer", fetch=FetchType.EAGER)
   public Set<Order> getOrders()
   {
      return orders;
   }

   public void setOrders(Set<Order> orders)
   {
      this.orders = orders;
   }


}
