/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.ejb3.test.security;

import java.security.Principal;

import javax.annotation.Resource;
import javax.annotation.security.RolesAllowed;

import javax.ejb.Remote;
import javax.ejb.SessionContext;
import javax.ejb.Stateful;

import org.jboss.annotation.ejb.RemoteBinding;
import org.jboss.annotation.security.SecurityDomain;

@Stateful
@Remote(org.jboss.ejb3.test.security.StatefulSession.class)
@RemoteBinding(jndiBinding = "spec.StatefulSession")
@RolesAllowed({ "Echo" })
@SecurityDomain("spec-test")
public class StatefulBean
{
   org.apache.log4j.Category log = org.apache.log4j.Category
         .getInstance(getClass());
   
   @Resource SessionContext sessionContext;

   public String echo(String arg)
   {
      Principal p = sessionContext.getCallerPrincipal();

      return p.getName();
   }
}
