/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.ejb3.test.security;

import javax.ejb.*;
import java.rmi.*;

public interface StatelessSession
{
    /** A method that returns its arg */
    public String echo(String arg);
    /** A method that does nothing but is not assiged a
     method-permission in the ejb-jar.xml descriptor
    */
    public void noop();
    /** A method that looks up the StatelessSession bean located at
     java:comp/env/ejb/Session and invokes echo(echoArg) on the
     bean and returns the result.
    */
    public String forward(String echoArg);
    /** A method that throws a NullPointerException */
    public void npeError();
    /** A method that is assigned the method-permission/unchecked tag
     to allow any authenticated user call the method.
     */
    public void unchecked();

    /** A method that is assigned to the exclude-list tag
     to indicate that no users should be allowed to call it.
     */
    public void excluded();
    
    public void testGetBusinessObject();
    
}
