/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.service;

import javax.ejb.Local;
import javax.ejb.Remote;
import org.jboss.annotation.ejb.Depends;
import org.jboss.annotation.ejb.LocalBinding;
import org.jboss.annotation.ejb.RemoteBinding;
import org.jboss.annotation.ejb.Service;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.4.2.4 $
 */
@Service
@RemoteBinding(jndiBinding = "serviceTwo/remote")
@LocalBinding (jndiBinding = "serviceTwo/local")
@Depends ("jboss.j2ee:service=EJB3,name=org.jboss.ejb3.test.service.ServiceOne,type=service")
@Remote(ServiceTwoRemote.class)
@Local(ServiceTwoLocal.class)
public class ServiceTwo implements ServiceTwoLocal, ServiceTwoRemote
{
   boolean called;

   public boolean getCalled()
   {
      return called;
   }

   public void setCalled(boolean called)
   {
      this.called = called;
   }

   public void localMethod()
   {
      called = true;
   }

   public void remoteMethod()
   {
      called = true;
   }
}
