/*
 * JBoss, the open source webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.ssl;

import javax.ejb.Stateless;
import javax.ejb.Remote;

import org.jboss.annotation.ejb.RemoteBinding;
import org.jboss.annotation.ejb.RemoteBindings;
import org.jboss.annotation.ejb.RemoteBinding;
import org.jboss.annotation.ejb.RemoteBindings;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision$
 */
@Stateless
@RemoteBindings({
   @RemoteBinding(clientBindUrl="sslsocket://0.0.0.0:3843", jndiBinding="StatelessSSL"),
   @RemoteBinding(clientBindUrl="socket://0.0.0.0:3873", jndiBinding="StatelessNormal")
})
@Remote(BusinessInterface.class)
public class StatelessBean implements BusinessInterface
{
   public String echo(String s)
   {
      return "*** " + s + " ***";
   }
}
