/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.stateful;

import javax.ejb.Init;
import javax.ejb.Remote;
import javax.ejb.Stateful;

import org.jboss.annotation.ejb.RemoteBinding;

/**
 * Comment
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version $Revision: 1.1.2.3 $
 */
@Stateful(name="Stateful")
@Remote(org.jboss.ejb3.test.stateful.Stateful.class)
@RemoteBinding(jndiBinding = "Stateful", 
      interceptorStack="RemoteBindingStatefulSessionClientInterceptors",
      factory = org.jboss.ejb3.test.stateful.StatefulRemoteProxyFactory.class)

public class StatefulBean
{
   private String state;

   public String getState()
   {
      return state;
   }

   public void setState(String state)
   {
      this.state = state;
   }
   
   public boolean interceptorAccessed()
   {
      return RemoteBindingInterceptor.accessed;
   }
   
   @Init
   public void ejbCreate(Integer state)
   {
      this.state=state.toString();
   }
   
   @Init
   public void ejbCreate(State state)
   {
      this.state=state.getState();
   }
   
   @Init
   public void ejbCreate(String state)
   {
      this.state=state;
   }
}
