/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.stateful;

import java.rmi.RemoteException;
import javax.ejb.EJBException;
import javax.ejb.SessionSynchronization;
import javax.ejb.Stateful;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.2.4 $
 */
@Stateful
public class StatefulSyncBean implements SessionSynchronization, StatefulSyncLocal, java.io.Serializable
{
   private String state;
   private String rollbackState;
   private boolean beforeCalled;

   public boolean isBeforeCalled()
   {
      return beforeCalled;
   }

   public void setBeforeCalled(boolean beforeCalled)
   {
      this.beforeCalled = beforeCalled;
   }

   public String getState()
   {
      return state;
   }

   public void setState(String state)
   {
      this.state = state;
   }


   public void afterBegin() throws EJBException, RemoteException
   {
      rollbackState = state;
   }

   public void beforeCompletion() throws EJBException, RemoteException
   {
      beforeCalled = true;
   }

   public void afterCompletion(boolean committed) throws EJBException, RemoteException
   {
      if (!committed) state = rollbackState;  
   }
}
