/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.stateless;

import javax.annotation.Resource;
import javax.annotation.security.RunAs;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;
import javax.annotation.security.PermitAll;
import javax.ejb.Remote;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import org.jboss.annotation.security.SecurityDomain;
import org.jboss.logging.Logger;

/**
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version $Revision: 1.5.2.4 $
 */
@Stateless(name="RunAsStatelessEjbName")
@RunAs("allowed")
@SecurityDomain("other")
@Remote({RunAsStateless.class, RunAsStateless2.class})
public class RunAsStatelessBean implements RunAsStateless, RunAsStateless2
{
   private static final Logger log = Logger.getLogger(RunAsStatelessBean.class);
   
   @Resource
   SessionContext sessionContext;
   
   @PermitAll
   public int method(int i) throws NamingException
   {
      InitialContext jndiContext = new InitialContext();
      
      CheckedStateless tester =
         (CheckedStateless) jndiContext.lookup(CheckedStateless.class.getName());
      
      return tester.method(i);
   }
   
   @PermitAll
   public int method2(int i) throws NamingException
   {
      return i;
   }
   
   @PermitAll
   public String getCallerPrincipal()
   {
      return sessionContext.getCallerPrincipal().getName();
   }
   
   @PermitAll
   public String getCheckedCallerPrincipal() throws NamingException
   {
      InitialContext jndiContext = new InitialContext();
      
      CheckedStateless tester =
         (CheckedStateless) jndiContext.lookup(CheckedStateless.class.getName());
      
      return tester.getCallerPrincipal();
   }
}
