/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.strictpool;

import org.apache.log4j.Category;
import EDU.oswego.cs.dl.util.concurrent.CountDown;

/** Invoker thread for StatelessSession tests.
 * Adapted from the EJB 2.1 tests (org.jboss.test.cts.test.SessionInvoker)
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.6.4 $
 */
public class SessionInvoker extends Thread
{
   int id;
   CountDown done;
   public Exception runEx;
   StrictlyPooledSession strictlyPooledSession;

   public SessionInvoker(int id, CountDown done, StrictlyPooledSession strictlyPooledSession)
   {
      super("SessionInvoker#"+id);
      this.id = id;
      this.done = done;
      this.strictlyPooledSession = strictlyPooledSession;
   }
   public void run()
   {
      System.out.println("Begin run, this="+this);
      try
      {
         strictlyPooledSession.methodA();
      }
      catch(Exception e)
      {
         runEx = e;
      }
      done.release();
      System.out.println("End run, this="+this);
   }

}
