/*  
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.net.axis.server;

/**
 * MBean interface.
 * @since 27. September 2001
 */
public interface AxisServiceMBean extends org.jboss.deployment.SubDeployerExtMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss.net:service=Axis");

   /**
    * start method for usage with immediately known documents
    */
   void start(java.lang.String deploymentName, org.w3c.dom.Document doc, java.lang.ClassLoader serviceLoader)
         throws org.jboss.deployment.DeploymentException;

   /**
    * stop a given deployment by document
    */
   void stop(org.w3c.dom.Document doc) throws org.jboss.deployment.DeploymentException;

   /**
    * return the associated client configuration
    */
   org.jboss.axis.EngineConfiguration getClientEngineConfiguration();

   /**
    * return the associated server configuration
    */
   org.jboss.axis.EngineConfiguration getServerEngineConfiguration();

   /**
    * return the associated server
    */
   org.jboss.axis.server.AxisServer getAxisServer();

}
