/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mx.server;

import org.jboss.mx.interceptor.Interceptor;

/**
 * Interface to allow the dynamic introduction of Interceptors
 * 
 * @author  <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>.
 * @version $Revision: 1.2.2.2 $
 */
public interface Interceptable
{
   /** Add dynamically an operation interceptor, first in the chain */
   void addOperationInterceptor(Interceptor interceptor);
   
   /** Remove the specified operation interceptor */
   void removeOperationInterceptor(Interceptor interceptor);
}
