/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package javax.management.j2ee.statistics;

/**
 * Specifies the statistics provided by a JTA resource.
 * 
 * @author thomas.diesler@jboss.org
 */
public interface JTAStats extends Stats
{
   /**
    * Number of active transactions.
    */
   public CountStatistic getActiveCount();

   /**
    * Number of committed transactions.
    */
   public CountStatistic getCommittedCount();

   /**
    * Number of rolled-back transactions.
    */
   public CountStatistic getRolledbackCount();
}

