/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package javax.management.j2ee.statistics;

/**
 * Specifies the statistics provided by a Java VM.
 * 
 * @author thomas.diesler@jboss.org
 */
public interface JVMStats extends Stats
{
   /**
    * Amount of time the JVM has been running.
    */
   public CountStatistic getUpTime();

   /**
    * Size of the JVM's heap.
    */
   public BoundedRangeStatistic getHeapSize();
}

