/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee.cluster;

/**
 * MBean interface.
 */
public interface HAManagementServiceMBean extends org.jboss.system.ServiceMBean
{

   java.lang.Object getAttribute(javax.management.ObjectName pName, java.lang.String pAttribute)
         throws javax.management.MBeanException, javax.management.AttributeNotFoundException,
         javax.management.InstanceNotFoundException, javax.management.ReflectionException, java.rmi.RemoteException;

   javax.management.AttributeList getAttributes(javax.management.ObjectName pName, java.lang.String[] pAttributes)
         throws javax.management.InstanceNotFoundException, javax.management.ReflectionException,
         java.rmi.RemoteException;

   java.lang.String getDefaultDomain() throws java.rmi.RemoteException;

   java.lang.Integer getMBeanCount() throws java.rmi.RemoteException;

   javax.management.MBeanInfo getMBeanInfo(javax.management.ObjectName pName)
         throws javax.management.IntrospectionException, javax.management.InstanceNotFoundException,
         javax.management.ReflectionException, java.rmi.RemoteException;

   javax.management.j2ee.ListenerRegistration getListenerRegistry() throws java.rmi.RemoteException;

   java.lang.Object invoke(javax.management.ObjectName pName, java.lang.String pOperationName,
         java.lang.Object[] pParams, java.lang.String[] pSignature) throws javax.management.InstanceNotFoundException,
         javax.management.MBeanException, javax.management.ReflectionException, java.rmi.RemoteException;

   boolean isRegistered(javax.management.ObjectName pName) throws java.rmi.RemoteException;

   java.util.Set queryNames(javax.management.ObjectName pName, javax.management.QueryExp pQuery)
         throws java.rmi.RemoteException;

   void setAttribute(javax.management.ObjectName pName, javax.management.Attribute pAttribute)
         throws javax.management.AttributeNotFoundException, javax.management.InstanceNotFoundException,
         javax.management.InvalidAttributeValueException, javax.management.MBeanException,
         javax.management.ReflectionException, java.rmi.RemoteException;

   javax.management.AttributeList setAttributes(javax.management.ObjectName pName,
         javax.management.AttributeList pAttributes) throws javax.management.InstanceNotFoundException,
         javax.management.ReflectionException, java.rmi.RemoteException;

   javax.management.ObjectInstance createMBean(java.lang.String pClass, javax.management.ObjectName pName,
         java.lang.Object[] pParameters, java.lang.String[] pSignature)
         throws javax.management.InstanceAlreadyExistsException, javax.management.MBeanException,
         javax.management.MBeanRegistrationException, javax.management.NotCompliantMBeanException,
         javax.management.ReflectionException, java.rmi.RemoteException;

   void unregisterMBean(javax.management.ObjectName pName) throws javax.management.InstanceNotFoundException,
         javax.management.MBeanRegistrationException, java.rmi.RemoteException;

   void addNotificationListener(javax.management.ObjectName pBroadcaster, javax.management.ObjectName pListener,
         javax.management.NotificationFilter pFilter, java.lang.Object pHandback)
         throws javax.management.InstanceNotFoundException, java.rmi.RemoteException;

   void removeNotificationListener(javax.management.ObjectName pBroadcaster, javax.management.ObjectName pListener)
         throws javax.management.InstanceNotFoundException, javax.management.ListenerNotFoundException,
         java.rmi.RemoteException;

}
