/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mq.pm.jdbc3;

/**
 * MBean interface.
 */
public interface PersistenceManagerMBean
      extends
         org.jboss.system.ServiceMBean,
         org.jboss.mq.pm.PersistenceManagerMBean,
         org.jboss.mq.pm.CacheStoreMBean
{

   /**
    * Retrieve the connection manager object name
    */
   javax.management.ObjectName getConnectionManager();

   /**
    * Set the connection manager object name
    */
   void setConnectionManager(javax.management.ObjectName connectionManagerName);

   /**
    * Set the garbage collection period
    */
   int getGCPeriodSecs();

   /**
    * Set the garbage collection period in seconds
    */
   void setGCPeriodSecs(int gcPeriodSecs);

   /**
    * Gets the ConnectionRetryAttempts.
    * @return the number of retry events    */
   int getConnectionRetryAttempts();

   /**
    * Sets the ConnectionRetryAttempts.
    * @param value the number of retry attempts    */
   void setConnectionRetryAttempts(int value);

   /**
    * Gets the sqlProperties.
    * @return Returns the Properties    */
   java.lang.String getSqlProperties();

   /**
    * Sets the sqlProperties.
    * @param sqlProperties The sqlProperties to set    */
   void setSqlProperties(java.lang.String value);

}
