/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mq.pm.none;

/**
 * MBean interface.
 */
public interface PersistenceManagerMBean
      extends
         org.jboss.system.ServiceMBean,
         org.jboss.mq.pm.PersistenceManagerMBean,
         org.jboss.mq.pm.CacheStoreMBean
{

   /**
    * Retrieve the delegate persistence manager
    * @return the object name of the delegate persistence manager    */
   javax.management.ObjectName getDelegatePM();

   /**
    * Set the delegate persistence manager
    * @param delegatePM the delegate persistence manager    */
   void setDelegatePM(javax.management.ObjectName delegateName);

}
