/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mq.server.jmx;

/**
 * MBean interface.
 */
public interface QueueMBean extends org.jboss.mq.server.jmx.DestinationMBean
{

   java.lang.String getQueueName();

   /**
    * Gets the QueueDepth attribute of the BasicQueue object
    * @return The QueueDepth value
    * @exception Exception Description of Exception    */
   int getQueueDepth() throws java.lang.Exception;

   /**
    * Gets the ScheduledMessageCount attribute of the BasicQueue object
    * @return The ScheduledMessageCount value
    * @exception Exception Description of Exception    */
   int getScheduledMessageCount() throws java.lang.Exception;

   int getReceiversCount();

   java.util.List listReceivers();

   java.util.List listMessages() throws java.lang.Exception;

   java.util.List listMessages(java.lang.String selector) throws java.lang.Exception;

}
