/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mq.sm.file;

/**
 * MBean interface.
 */
public interface DynamicStateManagerMBean extends org.jboss.mq.sm.AbstractStateManagerMBean
{

   /**
    * Set the name of the statefile.
    * @param newStateFile java.lang.String    */
   void setStateFile(java.lang.String newStateFile);

   /**
    * Get name of file.
    * @return java.lang.String    */
   java.lang.String getStateFile();

   boolean hasSecurityManager();

   void setHasSecurityManager(boolean hasSecurityManager);

   void loadConfig() throws java.io.IOException, org.jboss.mq.xml.XElementException;

   void saveConfig() throws java.io.IOException;

   void addUser(java.lang.String name, java.lang.String password, java.lang.String preconfID)
         throws java.lang.Exception;

   void removeUser(java.lang.String name) throws java.lang.Exception;

   void addRole(java.lang.String name) throws java.lang.Exception;

   void removeRole(java.lang.String name) throws java.lang.Exception;

   void addUserToRole(java.lang.String roleName, java.lang.String user) throws java.lang.Exception;

   void removeUserFromRole(java.lang.String roleName, java.lang.String user) throws java.lang.Exception;

}
