/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb.txtimer;

import javax.management.ObjectName;

import org.jboss.mx.util.ObjectNameFactory;

/**
 * EJBTimerServiceImpl standard MBean interface.
 * 
 * @since 07-Apr-2004
 * @version $Revision: 1.1.6.3 $
 */
public interface EJBTimerServiceImplMBean extends EJBTimerService
{

   //default object name
   public static final ObjectName OBJECT_NAME = ObjectNameFactory
         .create("jboss.ejb:service=EJBTimerService");

   /**
    * Get the object name of the retry policy.
    */
   ObjectName getRetryPolicy();

   /**
    * Set the object name of the retry policy.
    */
   void setRetryPolicy(ObjectName retryPolicyName);

   /**
    * Get the object name of the persistence policy.
    */
   ObjectName getPersistencePolicy();

   /**
    * Set the object name of the persistence policy.
    */
   void setPersistencePolicy(ObjectName persistencePolicyName);

   /**
    * Get the TimerIdGenerator class name
    */
   String getTimerIdGeneratorClassName();

   /**
    * Get the TimerIdGenerator class name
    */
   void setTimerIdGeneratorClassName(String timerIdGeneratorClassName);

   /**
    * Get the TimedObjectInvoker class name
    */
   String getTimedObjectInvokerClassName();

   /**
    * Set the TimedObjectInvoker class name
    */
   void setTimedObjectInvokerClassName(String timedObjectInvokerClassName);

   /**
    * List the timers registered with all TimerService objects
    */
   String listTimers();

}
