/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.naming;

import org.jboss.system.ServiceMBeanSupport;

/**
 * A service wrapper which allows arbitrary values to be bound into JNDI.
 * 
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.1 $
 */
public class JNDIBindingServiceMgr extends ServiceMBeanSupport
   implements JNDIBindingServiceMgrMBean
{
   JNDIBindingService service;

   public JNDIBindingServiceMgr()
   {
      service = new JNDIBindingService();
   }

   public JNDIBindings getBindingsConfig()
   {
      return service.getBindings();
   }
   public void setBindingsConfig(JNDIBindings bindings)
   {
      service.setBindings(bindings);
   }

   protected void startService() throws Exception
   {
      service.addBindings();
   }

   protected void stopService() throws Exception
   {
      service.removeBindings();
   }
}
