/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment;

/**
 * MBean interface.
 */
public interface DeployerMBean
{

   /**
    * Deploys a package identified by a URL
    * @param url an <code>URL</code> value
    * @throws DeploymentException Failed to deploy URL.
    */
   void deploy(java.net.URL url) throws org.jboss.deployment.DeploymentException;

   /**
    * Undeploys a package identified by a URL
    * @param url an <code>URL</code> value
    * @throws DeploymentException Failed to undeploy URL.
    */
   void undeploy(java.net.URL url) throws org.jboss.deployment.DeploymentException;

   /**
    * Tells you if a packaged identified by a URL is deployed.
    * @param url an <code>URL</code> value
    * @return a <code>boolean</code> value
    */
   boolean isDeployed(java.net.URL url);

}
