/*  
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment;

import javax.management.ObjectName;

import org.jboss.mx.util.ObjectNameFactory;

/**
 * MBean interface.
 * @todo find a way to scan just the META-INF files, not the whole jar.
 */
public interface JARDeployerMBean extends SubDeployerMBean
{
   /** The default ObjectName */
   public static final ObjectName OBJECT_NAME = ObjectNameFactory.create("jboss.system:service=JARDeployer");
   
   /**
    * The list of suffixes that define deployment descriptors which if
    * found in an archive META-INF directory indicate non-jar deployments
    * that should be ignored by the JARDeployer. 
    */
   public void setDescriptorNames(String[] descriptorNames);    
   public String[] getDescriptorNames();   

}
