/*  
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment;

import javax.management.ObjectName;

import org.jboss.mx.util.ObjectNameFactory;

/**
 * MBean interface.
 * @see org.jboss.system.Service
 */
public interface SARDeployerMBean extends SubDeployerExtMBean
{
   /** The default object name */
   public static final ObjectName OBJECT_NAME = ObjectNameFactory.create("jboss.system:service=ServiceDeployer");

   // Operations ----------------------------------------------------
   
   /**
    * Get the associated service DeploymentInfo if found, null otherwise
    * @param serviceName a service object name
    * @return The associated service DeploymentInfo if found, null otherwise
    */
   DeploymentInfo getService(ObjectName serviceName);

}
