/*  
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment;

/**
 * An extension interface that allows the retrieval
 * and setting of the combined suffixes and their relative
 * order supported by a SubDeployer.
 * 
 * The syntax of an enhanced suffix is
 * 
 *    "order:suffix"
 *
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.2.1 $
 */
public interface SubDeployerExt extends SubDeployer
{
   /**
    * The list of supported suffixes
    * and their relative order.
    */
   void setEnhancedSuffixes(String[] enhancedSuffixes);   
   String[] getEnhancedSuffixes();
}
