/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment.cache;

/**
 * MBean interface.
 * @todo Expose urls for cleaning
 */
public interface DeploymentStoreMBean extends org.jboss.system.ServiceMBean
{

   /**
    * Get the stored URL for the given deployment URL.
    * @param url The original deployment URL.
    * @return The stored URL or null if not stored.
    * @throws Exception Failed to get deployment URL from the store.
    */
   java.net.URL get(java.net.URL url) throws java.lang.Exception;

   /**
    * Put a deployment URL into storage. This will cause the data associated with the given URL to be downloaded. <p>If there is already a stored URL it will be overwritten.
    * @param url The original deployment URL.
    * @return The stored URL.
    * @throws Exception Failed to put deployment URL into the store.
    */
   java.net.URL put(java.net.URL url) throws java.lang.Exception;

}
