/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment.cache;

/**
 * MBean interface.
 * @todo Validate the urlMap
 */
public interface FileDeploymentStoreMBean extends org.jboss.deployment.cache.DeploymentStoreMBean
{

   /**
    * Set the local directory where cache data will be stored.
    * @param dir The local directory where cache data will be stored.
    * @throws IOException File not found, not a directory, can't write...
    */
   void setDirectory(java.io.File dir) throws java.io.IOException;

   /**
    * Returns the local directory where cache data is stored.
    * @return The local directory where cache data is stored.
    */
   java.io.File getDirectory();

   /**
    * Set the name of the local directory where cache data will be stored. <p>Invokes {@link #setDirectory}.
    * @param dirname The name of the local directory where cache data will be stored.
    * @throws IOException File not found, not a directory, can't write...
    */
   void setDirectoryName(java.lang.String dirname) throws java.io.IOException;

   /**
    * Get the name of the local directory where cache data is stored.
    * @return The name of the local directory where cache data is stored.
    */
   java.lang.String getDirectoryName();

   java.net.URL get(java.net.URL url);

   java.net.URL put(java.net.URL url) throws java.lang.Exception;

}
