/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment.scanner;

/**
 * MBean interface.
 */
public interface HttpURLDeploymentScannerMBean extends org.jboss.deployment.scanner.URLDeploymentScannerMBean
{

   /**
    * Default URL to be used when listing files on a remote HTTP folder If none is provided, the one found in jboss.netboot.listing.url is used If the URL is X, the resulting URL that is used to list the content of folder "foo" will be "Xdir=foo": the provided URL must support this naming convention
    */
   java.lang.String getDefaultHttpDirectoryListerUrl();

   void setDefaultHttpDirectoryListerUrl(java.lang.String url);

   /**
    * Default URL to be used when downloading files from a remote HTTP folder If none is provided, the one found in jboss.server.home.url is used
    */
   java.lang.String getDefaultHttpDirectoryDownloadUrl();

   void setDefaultHttpDirectoryDownloadUrl(java.lang.String url);

   void setURLList(java.util.List list);

   void setURLs(java.lang.String listspec) throws java.net.MalformedURLException;

   void scan() throws java.lang.Exception;

}
