/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.deployment.scanner;

/**
 * MBean interface.
 * @see org.jboss.deployment.scanner.URLDeploymentScanner). It is designed to deploy direct URLs and to scan directories. The distinction between the two is that this class forces the user to specify which entries are directories to scan, and which are urls to deploy.
 */
public interface URLDirectoryScannerMBean extends org.jboss.deployment.scanner.DeploymentScannerMBean
{

   void addScanURL(java.net.URL url);

   void addScanURL(java.lang.String url) throws java.net.MalformedURLException;

   void addScanDir(java.net.URL url, java.util.Comparator comp, java.io.FileFilter filter);

   void addScanDir(java.lang.String urlSpec, java.lang.String compClassName, java.lang.String filterClassName)
         throws java.net.MalformedURLException;

   void removeScanURL(java.net.URL url);

   void setURLs(org.w3c.dom.Element elem);

   void setURLComparator(java.lang.String comparatorClassName);

   java.lang.String getURLComparator();

   void setFilter(java.lang.String filterClassName);

   java.lang.String getFilter();

   void scan();

}
