/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.system;

/**
 * MBean interface.
 */
public interface BarrierControllerMBean extends org.jboss.system.ListenerServiceMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss:service=BarrierController");

   /**
    * The controlled barrier StateString.
    */
   java.lang.String getBarrierStateString();

   /**
    * The controlled barrier ObjectName.
    */
   void setBarrierObjectName(javax.management.ObjectName barrierName);

   /**
    * The controlled barrier ObjectName.
    */
   javax.management.ObjectName getBarrierObjectName();

   /**
    * The initial state of the barrier. If set, it overrides the internal call to enableOnStartup() which will never get called.
    */
   void setBarrierEnabledOnStartup(java.lang.Boolean enableOnStartup);

   /**
    * The initial state of the barrier. Use the value set through setBarrierEnabledOnStartup() otherwise call the internal enableOnStartup() override to make a decision.
    */
   java.lang.Boolean getBarrierEnabledOnStartup();

   /**
    * The notification subscription handback string that starts the barrier.
    */
   void setStartBarrierHandback(java.lang.String startHandback);

   /**
    * The notification subscription handback string that starts the barrier.
    */
   java.lang.String getStartBarrierHandback();

   /**
    * The notification subscription handback string that stops the barrier.
    */
   void setStopBarrierHandback(java.lang.String stopHandback);

   /**
    * The notification subscription handback string that stops the barrier.
    */
   java.lang.String getStopBarrierHandback();

   /**
    * The ability to dynamically subscribe for notifications.
    */
   void setDynamicSubscriptions(java.lang.Boolean dynamicSubscriptions);

   /**
    * The ability to dynamically subscribe for notifications.
    */
   java.lang.Boolean getDynamicSubscriptions();

   /**
    * Manually start the controlled barrier
    */
   void startBarrier();

   /**
    * Manually stop the controlled barrier
    */
   void stopBarrier();

}
