/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.system;

import java.util.List;

/**
 * MBean interface for services that dynamically attach an
 * interceptor to a set of target Interceptable (X)MBeans.
 * 
 * @see InterceptorServiceMBeanSupport
 * 
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.4.2.2 $
**/
public interface InterceptorServiceMBean extends ServiceMBean
{
   // Attributes ----------------------------------------------------
   
   /**
    * The ObjectNames of the Interceptable MBeans
    */
   public void setInterceptables(List interceptables);
   public List getInterceptables();
   
}
