/*  
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.system;

import javax.management.ObjectName;

/**
 * A policy used by ServiceController to allow the override
 * of MBean attribute values at configuration time.
 *
 * @author <a href="dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.2.1 $
 */
public interface ServiceBinding
{
   /**
    * Possibly override the configuration of a service.
    * 
    * @param serviceName the JMX ObjectName of the service
    * @exception Exception thrown on failure to override a configuration
    */
   void applyServiceConfig(ObjectName serviceName) throws Exception;
}
