/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.aop.bean;

import org.jboss.aspects.security.SecurityDomain;
import org.jboss.aspects.security.Permissions;
import org.jboss.aspects.security.Exclude;
import org.jboss.aspects.security.Unchecked;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision$
 */
@SecurityDomain ("other")
public class AnnotatedSecuredPOJO
{
   @Permissions ({"allowed"})
   public int someField;

   @Exclude
   public String excludedField;


   @Unchecked
   public long uncheckedField;

   @Unchecked
   public AnnotatedSecuredPOJO()
   {
   }

   @Permissions ({"allowed"})
   public AnnotatedSecuredPOJO(int field)
   {
      someField = field;
   }

   @Exclude
   public AnnotatedSecuredPOJO(String field) {}

   @Unchecked
   public void unchecked() {}

   @Permissions ({"allowed"})
   public void someMethod() {}

   @Exclude
   public void excluded() {}
   
}

