/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.cmp2.batchcascadedelete.ejb;


import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.ejb.FinderException;
import javax.ejb.RemoveException;
import javax.naming.NamingException;

/**
 * @author <a href="mailto:alex@jboss.org">Alexey Loubyansky</a>
 * @version <tt>$Revision: 1.1.2.1 $</tt>
 */
public abstract class GrandchildBean
   implements EntityBean
{

   public Long ejbCreate(Long childId, String name) throws CreateException
   {
      setId(new Long(System.currentTimeMillis()));
      setName(name);

      return null;
   }

   public void ejbPostCreate(Long childId, String name) throws CreateException
   {
      ChildLocalHome h;
      try
      {
         h = ChildUtil.getLocalHome();
         setTheChild(h.findByPrimaryKey(childId));
      }
      catch(NamingException e)
      {
         throw new CreateException(e.toString());
      }
      catch(FinderException e)
      {
         throw new CreateException(e.toString());
      }
   }

   public abstract Long getId();

   public abstract void setId(Long id);

   public abstract String getName();

   public abstract void setName(String name);

   public GrandchildBean()
   {
      super();
   }

   public abstract ChildLocal getTheChild();

   public abstract void setTheChild(ChildLocal theChild);

   public void setEntityContext(EntityContext arg0) throws EJBException, RemoteException
   {
   }

   public void unsetEntityContext() throws EJBException, RemoteException
   {
   }

   public void ejbRemove() throws RemoveException, EJBException, RemoteException
   {
   }

   public void ejbActivate() throws EJBException, RemoteException
   {
   }

   public void ejbPassivate() throws EJBException, RemoteException
   {
   }

   public void ejbLoad() throws EJBException, RemoteException
   {
   }

   public void ejbStore() throws EJBException, RemoteException
   {
   }
}
