/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.cts.test;

import javax.management.ObjectName;
import javax.naming.InitialContext;

import junit.framework.Test;

import org.jboss.test.JBossTestCase;
import org.jboss.test.cts.interfaces.CtsCmpHome;
import org.jboss.test.cts.keys.AccountPK;

/** 
 * Tests OptionD.
 * 
 * @author Adrian Brock
 * @version $Revision: 1.1.2.2 $
 */
public class CtsCmp2OptionDUnitTestCase extends JBossTestCase
{
   public CtsCmp2OptionDUnitTestCase(String name)
   {
      super(name);
   }

   public void testOptionD() throws Exception
   {
      InitialContext ctx = new InitialContext();
      CtsCmpHome home = (CtsCmpHome) ctx.lookup("ejbcts/CMPBeanOptionD");
      AccountPK pk = new AccountPK("testOptionD-1");
      home.create(pk, "name1");
      pk = new AccountPK("testOptionD-2");
      home.create(pk, "name2");
      
      ObjectName cache = new ObjectName("jboss.j2ee:service=EJB,jndiName=ejbcts/CMPBeanOptionD,plugin=cache");
      Long cacheSize = (Long) getServer().getAttribute(cache, "CacheSize");
      assertEquals(2, cacheSize.longValue());
      
      Thread.sleep(15000); // 15 seconds
      
      cacheSize = (Long) getServer().getAttribute(cache, "CacheSize");
      assertEquals(0, cacheSize.longValue());
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(CtsCmp2OptionDUnitTestCase.class, "cts.jar");
   }
}
