/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.deployers.client.test;

import java.util.HashSet;

import junit.framework.Test;

import org.jboss.deployment.DeploymentInfo;
import org.jboss.test.deployers.AbstractDeploymentTest;

/**
 * A test that deploys app clients.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1.2.1 $
 */
public class UnpackedClientDeploymentUnitTestCase extends AbstractDeploymentTest
{
  
   public void testClientDeployment() throws Exception
   {
      final HashSet expected = new HashSet();
      expected.add(client1DeploymentUnpacked);
      
      DeploymentInfo topInfo = assertDeployed(client1DeploymentUnpacked);
      CheckExpectedDeploymentInfoVisitor visitor = new CheckExpectedDeploymentInfoVisitor(expected);
      visitor.start(topInfo);
      assertTrue("Expected subdeployments: " + expected, expected.isEmpty());
   }
   
   public UnpackedClientDeploymentUnitTestCase(String test)
   {
      super(test);
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(UnpackedClientDeploymentUnitTestCase.class, client1DeploymentUnpacked);
   }
}
