/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.hibernate.timers.interfaces;

import java.rmi.RemoteException;
import java.util.List;
import javax.ejb.EJBObject;

import org.jboss.test.hibernate.timers.Timers;
import org.jboss.test.hibernate.timers.TimersID;

/**
 EJB remote interface for the hiberate TimersFactory operations

 @author Scott.Stark@jboss.org
 @version $Revision: 1.1 $
 */
public interface ITimers extends EJBObject
{
   public void persist(Timers transientInstance) throws RemoteException;
   public void attachDirty(Timers instance) throws RemoteException;
   public void attachClean(Timers instance) throws RemoteException;
   public void delete(Timers persistentInstance) throws RemoteException;
   public Timers merge(Timers detachedInstance) throws RemoteException;
   public Timers findById(TimersID id) throws RemoteException;
   public List listTimers() throws RemoteException;
}
