/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.hibernate.timers.interfaces;

import java.io.Serializable;
import java.util.Properties;

/**
 Example timer info object.

 @author Scott.Stark@jboss.org
 @version $Revision: 1.1 $
 */
public class Info implements Serializable
{
   private static final long serialVersionUID = 1L;

   private Properties props;

   public Info()
   {      
   }
   public Info(Properties props)
   {
      this.props = props;
   }

   public Properties getProps()
   {
      return props;
   }
   public void setProps(Properties props)
   {
      this.props = props;
   }

   public int hashCode()
   {
      return props.hashCode();
   }
   public boolean equals(Object o)
   {
      Info i = (Info) o;
      return props.equals(i.props);
   }


   public String toString()
   {
      final StringBuffer sb = new StringBuffer();
      sb.append("Info");
      sb.append("{props=");
      sb.append(props);
      sb.append('}');
      return sb.toString();
   }
}
