/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.hibernate.timers.interfaces;

import java.io.Serializable;

/**
 Example ejb key associated with a timer.

 @author Scott.Stark@jboss.org
 @version $Revision: 1.1 $
 */
public class Key implements Serializable
{
   private static final long serialVersionUID = 1L;

   private String key1;
   private long key2;

   public Key()
   {
   }
   public Key(String key1, long key2)
   {
      this.key1 = key1;
      this.key2 = key2;
   }

   public String getKey1()
   {
      return key1;
   }
   public void setKey1(String key1)
   {
      this.key1 = key1;
   }

   public long getKey2()
   {
      return key2;
   }
   public void setKey2(long key2)
   {
      this.key2 = key2;
   }

   public int hashCode()
   {
      int hc = (int) key2;
      return key1.hashCode() + hc;
   }
   public boolean equals(Object o)
   {
      Key k = (Key) o;
      return key1.equals(k.key1) && key2 == k.key2;
   }
}
