/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.iiop.test;

import javax.management.Attribute;
import javax.management.MBeanServerConnection;
import javax.management.ObjectName;

import org.jboss.test.JBossIIOPTestCase;

/**
 * A test for iiop without the webservice deployed for codebase
 * 
 * @author adrian@jboss.org
 * @version $Revision: 1.1.2.4 $
 */
public class NoCodebaseUnitTestCase
   extends JBossIIOPTestCase
{
   // Constants -----------------------------------------------------
   
   // Attributes ----------------------------------------------------
   
   public NoCodebaseUnitTestCase(String name) 
   {
      super(name);
   }
   
   public void test_getStringWithNoCodebase() throws Exception
   {
      MBeanServerConnection server = getServer();
      ObjectName ejbDeployer = new ObjectName("jboss.ejb:service=EJBDeployer");
      ObjectName webService = (ObjectName) server.getAttribute(ejbDeployer, "WebServiceName");
      server.setAttribute(ejbDeployer, new Attribute("WebServiceName", null));
      try
      {
         deploy("iiop.jar");
      }
      finally
      {
         server.setAttribute(ejbDeployer, new Attribute("WebServiceName", webService));
         undeploy("iiop.jar");
      }
   }
}
