/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jca.test;

import javax.transaction.Transaction;

/**
 * Abstract contentious pooling stress test.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1.2.2 $
 */
public class AbstractContentiousPoolingStressTest extends AbstractPoolingStressTest
{
   
   public abstract class ContentiousPoolingRunnable extends ConcurrentRunnable
   {
      protected Transaction tx;
      public ContentiousPoolingRunnable(Transaction tx)
      {
         this.tx = tx;
      }

      public void doStart() throws Throwable
      {
         tm.resume(tx);
      }

      public void doEnd() throws Throwable
      {
         tm.suspend();
      }
   }

   
   public AbstractContentiousPoolingStressTest(String name)
   {
      super(name);
   }
}
