/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jca.test;

import javax.transaction.Status;
import javax.transaction.Transaction;

/**
 * Abstract contentious pooling stress test.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1.2.3 $
 */
public class AbstractRecyclingPoolingStressTest extends AbstractPoolingStressTest
{
   
   public abstract class RecyclingPoolingRunnable extends ConcurrentRunnable
   {
      protected Transaction tx;
      public RecyclingPoolingRunnable()
      {
      }

      public void doStart() throws Throwable
      {
      }

      public void doEnd() throws Throwable
      {
      }

      public void doRun() throws Throwable
      {
         tm.begin();
         try
         {
            doRun1();
         }
         catch (Throwable t)
         {
            tm.setRollbackOnly();
            throw t;
         }
         finally
         {
            if (tm.getStatus() == Status.STATUS_MARKED_ROLLBACK)
               tm.rollback();
            else
               tm.commit();
         }
      }
      
      public abstract void doRun1() throws Throwable;
   }

   
   public AbstractRecyclingPoolingStressTest(String name)
   {
      super(name);
   }
}
