/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jca.test;

import javax.transaction.Transaction;

/**
 * Abstract contentious pooling stress test.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1.2.2 $
 */
public class AbstractUncontendedPoolingStressTest extends AbstractPoolingStressTest
{
   
   public abstract class UncontendedPoolingRunnable extends ConcurrentRunnable
   {
      protected Transaction tx;
      public UncontendedPoolingRunnable()
      {
      }

      public void doStart() throws Throwable
      {
         tm.begin();
      }

      public void doEnd() throws Throwable
      {
         tm.commit();
      }
   }

   
   public AbstractUncontendedPoolingStressTest(String name)
   {
      super(name);
   }
}
