/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jcaprops.support;

import javax.management.MBeanServer;
import javax.resource.ResourceException;
import javax.resource.spi.ActivationSpec;
import javax.resource.spi.InvalidPropertyException;
import javax.resource.spi.ResourceAdapter;
import javax.resource.spi.ResourceAdapterInternalException;

import org.jboss.logging.Logger;
import org.jboss.mx.util.MBeanServerLocator;

/**
 * A PropertyTestActivationSpec.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1.2.2 $
 */
public class PropertyTestActivationSpec implements ActivationSpec, PropertyTestActivationSpecMBean
{
   private static final Logger log = Logger.getLogger(PropertyTestActivationSpec.class);
   
   private String stringAS;
   private Boolean booleanAS;
   private Byte byteAS;
   private Character characterAS;
   private Short shortAS;
   private Integer integerAS;
   private Long longAS;
   private Float floatAS;
   private Double doubleAS;
   
   private PropertyTestResourceAdapter resourceAdapter;
   
   public String getStringAS()
   {
      return stringAS;
   }
   
   public void setStringAS(String string)
   {
      this.stringAS = string;
   }
   
   public Boolean getBooleanAS()
   {
      return booleanAS;
   }

   public void setBooleanAS(Boolean booleanAS)
   {
      this.booleanAS = booleanAS;
   }

   public Byte getByteAS()
   {
      return byteAS;
   }

   public void setByteAS(Byte byteAS)
   {
      this.byteAS = byteAS;
   }

   public Character getCharacterAS()
   {
      return characterAS;
   }

   public void setCharacterAS(Character characterAS)
   {
      this.characterAS = characterAS;
   }

   public Double getDoubleAS()
   {
      return doubleAS;
   }

   public void setDoubleAS(Double doubleAS)
   {
      this.doubleAS = doubleAS;
   }

   public Float getFloatAS()
   {
      return floatAS;
   }

   public void setFloatAS(Float floatAS)
   {
      this.floatAS = floatAS;
   }

   public Integer getIntegerAS()
   {
      return integerAS;
   }

   public void setIntegerAS(Integer integerAS)
   {
      this.integerAS = integerAS;
   }

   public Long getLongAS()
   {
      return longAS;
   }

   public void setLongAS(Long longAS)
   {
      this.longAS = longAS;
   }

   public Short getShortAS()
   {
      return shortAS;
   }

   public void setShortAS(Short shortAS)
   {
      this.shortAS = shortAS;
   }
   
   public void validate() throws InvalidPropertyException
   {
   }

   public ResourceAdapter getResourceAdapter()
   {
      return resourceAdapter;
   }

   public void setResourceAdapter(ResourceAdapter ra) throws ResourceException
   {
      this.resourceAdapter = (PropertyTestResourceAdapter) ra;
   }

   protected void registerMBean() throws ResourceAdapterInternalException
   {
      MBeanServer server = MBeanServerLocator.locateJBoss();
      try
      {
         server.registerMBean(this, NAME);
      }
      catch (Exception e)
      {
         throw new ResourceAdapterInternalException(e);
      }
   }
   
   protected void unregisterMBean()
   {
      MBeanServer server = MBeanServerLocator.locateJBoss();
      try
      {
         server.unregisterMBean(NAME);
      }
      catch (Exception e)
      {
         log.warn("Unable to unregisterMBean", e);
      }
   }
}
