/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jmx.interceptors;

import org.jboss.mx.server.Invocation;
import org.jboss.system.InterceptorServiceMBeanSupport;

/**
 * AdderInterceptorService will attach dynamically an interceptor
 * to the AdderPOJO (xmbean) and add +1 to the add() method result
 * 
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.2.2.2 $
 */
public class AdderInterceptorService extends InterceptorServiceMBeanSupport
   implements AdderInterceptorServiceMBean
{
   public AdderInterceptorService()
   {
      // empty
   }

   /**
    * Override
    */
   protected Object invoke(Invocation invocation) throws Throwable
   {
      String type = invocation.getType();
      
      if (type.equals(Invocation.OP_INVOKE))
      {
         String name = invocation.getName();
         
         if (name.equals("add"))
         {
            Integer result = (Integer)super.invoke(invocation);
            
            return new Integer(result.intValue() + 1);
         }
      }
      return super.invoke(invocation);
   }
}
