/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jmx.simpleservice;

import org.jboss.system.ServiceMBeanSupport;

/**
 * A simple mbean derived from ServiceMBean/ServiceMBeanSupport.
 * 
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.2.1 $
 */
public class SimpleService extends ServiceMBeanSupport
   implements SimpleServiceMBean
{
   // Private Data --------------------------------------------------
   
   /** A String attribute */
   private String aString;
  
   private boolean createCalled;
   private boolean startCalled;
   private boolean stopCalled;
   private boolean destroyCalled;
   
  // Constructors --------------------------------------------------
  
  /**
   * CTOR
  **/
  public SimpleService()
  {
     // empty
  }

  // Attributes -----------------------------------------------------
  
  public void setAStringAttr(String s)
  {
     this.aString = s;
  }
  
  public String getAStringAttr()
  {
     return aString;
  }
  
  public boolean getCreateCalled()
  {
     return createCalled;
  }
  
  public boolean getStartCalled()
  {
     return startCalled;
  }
  
  public boolean getStopCalled()
  {
     return stopCalled;
  }
  
  public boolean getDestroyCalled()
  {
     return destroyCalled;
  }
  
  // Operations -----------------------------------------------------
  
  public void resetLifecycleMemory()
  {
     createCalled = false;
     startCalled = false;
     stopCalled = false;
     destroyCalled = false;
  }
  
  // Lifecycle ------------------------------------------------------
  
  protected void createService() throws Exception
  {
     createCalled = true;
  }
  
  protected void startService() throws Exception
  {
     startCalled = true;
  }
  
  protected void stopService()
  {
     stopCalled = true;
  }
  
  protected void destroyService()
  {
     destroyCalled = true;
  }
  
}
