/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.kernel.deployment.jboss.beans.configpojo;

import java.io.Serializable;
import java.util.Collections;
import java.util.List;

/**
 * A simple pojo to encapsulate configuration settings
 * that we'll bind in jndi.
 *
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.2.1 $
 */
public class ConfigPOJO implements Serializable
{
   /** The serialVersionUID */
   private static final long serialVersionUID = 666L;

   // Private -------------------------------------------------------
   
   private String userid;
   private String passwd;
   private List roles;
   
   // Constructor ---------------------------------------------------
   
   public ConfigPOJO(String userid, String passwd, List roles)
   {
      this.userid = userid;
      this.passwd = passwd;
      this.roles = roles;
   }
   
   // Accessors -----------------------------------------------------
   
   public String getUserId()
   {
      return userid;
   }
   
   public String getPassword()
   {
      return passwd;
   }
  
   public List getRoles()
   {
      return Collections.unmodifiableList(roles);
   }
   
   // Overrides -----------------------------------------------------
   
   public String toString()
   {
      StringBuffer sbuf = new StringBuffer();
      sbuf
      .append(getClass().getName())
      .append("[ userId=").append(userid)
      .append(", passwd=").append(passwd)
      .append(", roles=").append(roles)
      .append(" ]");
      
      return sbuf.toString();
   }
}
