/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.kernel.deployment.jboss.beans.servicepojo;

import java.io.Serializable;

/**
 * A simple pojo to encapsulate configuration settings
 *
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.2.1 $
 */
public class BindAddress implements Serializable
{
   /** The serialVersionUID */
   private static final long serialVersionUID = 1L;

   // Private -------------------------------------------------------
   
   private String address;
   private int port;
   
   // Constructor ---------------------------------------------------
   
   public BindAddress(String address, int port)
   {
      System.out.println("BindAddress - CTOR(" + address + ", " + port + ")");
      
      this.address = address;
      this.port = port;
   }
   
   // Accessors -----------------------------------------------------

   public String getAddress()
   {
      return address;
   }
   
   public int getPort()
   {
      return port;
   }
   
   // Overrides -----------------------------------------------------
   
   public String toString()
   {
      StringBuffer sbuf = new StringBuffer();
      sbuf
      .append("BindAddress")
      .append("[ address=").append(address)
      .append(", port=").append(port)
      .append(" ]");
      
      return sbuf.toString();
   }
}
