/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.tm.test;

import javax.transaction.Transaction;

import org.jboss.tm.TransactionLocal;
import org.jboss.tm.TxManager;

/**
 * Abstract transaction local stress test.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1.2.1 $
 */
public class AbstractTransactionLocalStressTest extends AbstractConcurrentStressTest
{
   protected TxManager tm = TxManager.getInstance(); 
   protected TransactionLocal local = new TransactionLocal(tm); 
   
   public abstract class ConcurrentTransactionLocalRunnable extends ConcurrentRunnable
   {
      protected Transaction tx;
      public ConcurrentTransactionLocalRunnable(Transaction tx)
      {
         this.tx = tx;
      }

      public void doStart()
      {
         try
         {
            tm.resume(tx);
         }
         catch (Throwable t)
         {
            failure = t;
         }
      }

      public void doEnd()
      {
         try
         {
            tm.suspend();
         }
         catch (Throwable t)
         {
            failure = t;
         }
      }
   }
   
   public AbstractTransactionLocalStressTest(String name)
   {
      super(name);
   }
}
