/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.webservice.jbws167;

import java.util.Arrays;

import javax.xml.rpc.ServiceException;
import javax.xml.rpc.handler.soap.SOAPMessageContext;
import javax.xml.rpc.server.ServiceLifecycle;
import javax.xml.rpc.server.ServletEndpointContext;
import javax.xml.soap.SOAPMessage;

import org.jboss.logging.Logger;

public class HelloJavaBean implements Hello, ServiceLifecycle
{
   private ServletEndpointContext context;

   private Logger log = Logger.getLogger(HelloJavaBean.class);

   public String hello(String in0)
   {
      log.info("hello: " + in0);
      
      SOAPMessageContext msgContext = (SOAPMessageContext)context.getMessageContext();
      SOAPMessage soapMessage = msgContext.getMessage();

      String[] soapAction = soapMessage.getMimeHeaders().getHeader("SOAPAction");
      log.info("soapAction: " + Arrays.asList(soapAction));
      
      if (soapAction != null && soapAction.length == 1 && soapAction[0].equals("\"/foo/bar\""))
         return "[pass]";

      return "[failed] SOAPAction = " + Arrays.asList(soapAction);
   }

   // ServiceLifecycle *******************************************************************************************

   public void init(Object context) throws ServiceException
   {
      this.context = (ServletEndpointContext)context;
   }

   public void destroy()
   {
      this.context = null;
   }
}
