/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.webservice.jbws168;

// $Id: JBWS168TestCase.java,v 1.1.2.4 2005/08/10 12:54:36 tdiesler Exp $

import junit.framework.Test;
import org.jboss.test.webservice.WebserviceTestBase;

import javax.naming.InitialContext;
import javax.xml.rpc.Service;

/**
 * soap response does not respect minOccurs=0
 * 
 * http://jira.jboss.com/jira/browse/JBWS-168
 * 
 * @author Thomas.Diesler@jboss.org
 * @since 13-Jun-2005
 */
public class JBWS168TestCase extends WebserviceTestBase {
	/**
	 * Construct the test case with a given name
	 */
	public JBWS168TestCase(String name) {
		super(name);
	}

	/** Deploy the test */
	public static Test suite() throws Exception {
		return getDeploySetup(JBWS168TestCase.class, "ws4ee-jbws168.war, ws4ee-jbws168-client.jar");
	}

	public void testEmptyProperty() throws Exception {

      InitialContext iniCtx = getClientContext();
		Service service = (Service) iniCtx.lookup("java:comp/env/service/HelloService");
		Hello hello = (Hello) service.getPort(Hello.class);

		UserType ut = new UserType("A", null, null);
		UserType retObj = hello.hello(ut);
		assertEquals(ut, retObj);
	}
}
