/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.webservice.jbws377;

// $Id: JBWS377TestCase.java,v 1.1.2.1 2005/08/25 22:56:20 tdiesler Exp $

import junit.framework.Test;
import org.jboss.test.webservice.WebserviceTestBase;

import javax.naming.InitialContext;
import javax.xml.rpc.Service;

/**
 * Document/Literal parameter wrapping with null values
 *
 * http://jira.jboss.com/jira/browse/JBWS-377
 *
 * @author Thomas.Diesler@jboss.org
 * @since 26-Aug-2005
 */
public class JBWS377TestCase extends WebserviceTestBase
{
   /** Construct the test case with a given name
    */
   public JBWS377TestCase(String name)
   {
      super(name);
   }

   /** Deploy the test */
   public static Test suite() throws Exception
   {
      return getDeploySetup(JBWS377TestCase.class, "ws4ee-jbws377.war, ws4ee-jbws377-client.jar");
   }

   public void testEndpointNotNull() throws Exception
   {
      InitialContext iniCtx = getClientContext();
      Service service = (Service)iniCtx.lookup("java:comp/env/service/HelloService");
      Hello hello = (Hello)service.getPort(Hello.class);

      String retObj = hello.echoStrings("str1", "str2", "str3");
      assertEquals("str1str2str3", retObj);
   }

   public void testEndpointNull() throws Exception
   {
      InitialContext iniCtx = getClientContext();
      Service service = (Service)iniCtx.lookup("java:comp/env/service/HelloService");
      Hello hello = (Hello)service.getPort(Hello.class);

      String retObj = hello.echoStrings(null, "str2", null);
      assertEquals("nullstr2null", retObj);
   }
}
