/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.webservice.wsdlimport;

// $Id: SchemaImportTestCase.java,v 1.1.2.3 2005/07/27 12:50:03 tdiesler Exp $

import junit.framework.Test;
import org.jboss.test.JBossTestCase;
import org.jboss.test.webservice.WebserviceTestBase;
import org.jboss.test.webservice.admindevel.Hello;

import javax.naming.InitialContext;
import javax.xml.namespace.QName;
import javax.xml.rpc.Call;
import javax.xml.rpc.Service;
import javax.xml.rpc.ServiceFactory;
import java.net.URL;

/**
 * Test schema import in the wsdl.
 *
 * @author Thomas.Diesler@jboss.org
 * @since 07-Feb-2005
 */
public class SchemaImportTestCase extends WebserviceTestBase
{
   public SchemaImportTestCase(String name)
   {
      super(name);
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(SchemaImportTestCase.class, "ws4ee-wsdlimport-schema.war, ws4ee-wsdlimport-schema-client.jar");
   }

   public void testHello() throws Exception
   {
      InitialContext iniCtx = getClientContext();
      Service service = (Service)iniCtx.lookup("java:comp/env/service/HelloService");
      Hello helloPort = (Hello)service.getPort(Hello.class);

      String retstr = helloPort.helloString("Tom");
      assertEquals("Hello Tom!", retstr);
   }
}
