/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.xslt.support;

import java.util.Hashtable;

import org.jboss.system.ServiceMBean;

/**
 * A test mbean
 * 
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.2.2 $
 */
public interface XalanCheckMBean extends ServiceMBean
{

   // Attributes ----------------------------------------------------
   
   /** Read the xalan version seeing by this deployment */
   String getXalanVersion();
   
   // Operations ----------------------------------------------------
   
   /** Return the xalan environment properties */
   Hashtable fetchXalanEnvironmentHash();
   
   /** This test throws an Exception when run using xalan 2.5.2 */
   void testXalan25Bug15140() throws Exception;
}