/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.web.tomcat.tc5.session;

import org.apache.catalina.Cluster;
import org.apache.catalina.LifecycleException;

/**
 * The MBean interface for the JBossCacheCluster.
 * 
 * @see org.jboss.web.tomcat.tc5.JBossCacheCluster
 * 
 * @author Brian Stansberry
 * @version $Revision: 1.1.2.2 $
 */
public interface JBossCacheClusterMBean extends Cluster
{
   public abstract boolean isUseJK();

   public abstract void setUseJK(boolean useJK);

//   public abstract String getCacheMode();
//
//   public abstract void setCacheMode(String cacheMode);
//
//   public abstract void setClusterName(String clusterName);
//
//   public abstract String getClusterProperties();
//
//   public abstract void setClusterProperties(String clusterProperties);
//
//   public abstract String getIsolationLevel();
//
//   public abstract void setIsolationLevel(String isolationLevel);
//
//   public abstract long getLockAcquisitionTimeout();
//
//   public abstract void setLockAcquisitionTimeout(long lockAcquisitionTimeout);
//
//   public abstract String getTransactionManagerLookupClass();
//
//   public abstract void setTransactionManagerLookupClass(String lookupClass);

   public abstract boolean isUseLocalCache();

   public abstract void setUseLocalCache(boolean useLocalCache);

   public abstract String getManagerClassName();

   public abstract void setManagerClassName(String managerClassName);

   public abstract String getDefaultReplicationGranularity();

   public abstract void setDefaultReplicationGranularity(
         String defaultReplicationGranularity);

   public abstract String getDefaultReplicationTrigger();

   public abstract void setDefaultReplicationTrigger(String defaultTrigger);

   public abstract int getSnapshotInterval();

   public abstract void setSnapshotInterval(int snapshotInterval);

   public abstract String getSnapshotMode();

   public abstract void setSnapshotMode(String snapshotMode);
   
   public abstract String getCacheObjectName();
   
   public abstract void setCacheObjectName(String objectName);

   public abstract void start() throws LifecycleException;

   /**
    * Does nothing.
    */
   public abstract void stop() throws LifecycleException;

}