/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.jmx.adaptor.snmp.trapd;

/**
 * MBean interface.
 */
public interface TrapdServiceMBean extends org.jboss.system.ServiceMBean
{

   /**
    * Sets the port that will be used to receive traps
    * @param port the port to listen for traps
    */
   void setPort(int port);

   /**
    * Gets the port that will be used to receive traps
    * @return the port to listen for traps
    */
   int getPort();

   /**
    * Sets the interface that will be bound
    * @param host the interface to bind
    */
   void setBindAddress(java.lang.String host) throws java.net.UnknownHostException;

   /**
    * Gets the interface that will be bound
    * @return the interface to bind
    */
   java.lang.String getBindAddress();

}
