/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.monitor.services;

import org.jboss.system.ServiceMBean;

/**
 * MBean interface.
 * 
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.4.3 $
 */
public interface MemoryMonitorMBean extends ServiceMBean
{
   // Attributes ----------------------------------------------------
   
   void setTriggeringWarningMeasurements(int measurements);
   int getTriggeringWarningMeasurements() ;

   void setFreeMemoryWarningThreshold(String s);
   String getFreeMemoryWarningThreshold();

   void setFreeMemoryCriticalThreshold(String s);
   String getFreeMemoryCriticalThreshold();

   void setSamplingPeriod(String s);
   String getSamplingPeriod();

   long getFreeMemorySample();

   String getSeverity();

}
