/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.monitor.services;

import javax.management.ObjectName;

import org.jboss.system.ListenerServiceMBean;

/**
 * MBean interface.
 * 
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.4.4 $
 */
public interface NotificationListenerMBean extends ListenerServiceMBean
{
   /** Number of notifications received */
  long getNotificationCount();

   /** Flag to enable/disable dynamic subscriptions */
  void setDynamicSubscriptions(boolean dynamicSubscriptions);
  boolean getDynamicSubscriptions();

   /** The listener of the notifications */
  void setNotificationListener(ObjectName notificationListener);
  ObjectName getNotificationListener();
  
  /** The dynamic log level */
  void setLogLevel(String logLevel);
  String getLogLevel();

}
