/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.services.xml;

import java.util.Properties;

/**
 The standard mbean interface for the JBossEntityResolverMgr

 @author Scott.Stark@jboss.org
 @version $Revision: 1.1 $
 */
public interface JBossEntityResolverMgrMBean
{
   public Properties getEntityMap();
   public void setEntityMap(Properties map);

   public boolean isWarnOnNonFileURLs();
   public void setWarnOnNonFileURLs(boolean flag);

   /**
    Register an id to schema file mapping.

    @param id - the publicID/systemID for the maping
    @param file - the dtd/xsd schema file name
    */
   public void registerEntity(String id, String file);
}
