/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.web.loadbalancer;

/**
 * MBean interface.
 */
public interface LoadbalancerMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss.web.loadbalancer: service=Loadbalancer");

   /**
    * Get the currently used connection timeout to slave hosts.
    */
   int getConnectionTimeout();

   /**
    * Set the currently used connection timeout to slave hosts.
    */
   void setConnectionTimeout(int newTimeout);

   /**
    * Get the currently used connections to slave hosts.
    */
   int getConnectionsInUse();

}
