/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.webservice;

/**
 * MBean interface.
 * @since 15-April-2004
 */
public interface AxisServiceMBean extends org.jboss.system.ServiceMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss.ws4ee:service=AxisService");

   java.lang.String getWebServiceHost();

   int getWebServicePort();

   int getWebServiceSecurePort();

   boolean isAlwaysModifySOAPAddress();

   void setWebServiceHost(java.lang.String host);

   void setWebServicePort(int port);

   void setWebServiceSecurePort(int port);

   void setAlwaysModifySOAPAddress(boolean modify);

   java.lang.String getInvokerProviderEJB();

   void setInvokerProviderEJB(java.lang.String invokerProviderEJB);

   java.lang.String getInvokerProviderJSE();

   void setInvokerProviderJSE(java.lang.String invokerProviderJSE);

   /**
    * Get axis server singleton
    */
   org.jboss.axis.server.AxisServer getAxisServer();

   /**
    * Get MetaDataBeanSerializer/Deserializer metaData registry
    */
   org.jboss.webservice.deployment.MetaDataRegistry getMetaDataRegistry();

   /**
    * Get port component info for a given web service id The keys into the registry are: [deploment.ear]/[deployment.?ar]#PortComponentName A client deployment may use a 'port-component-link' like: [deployment.?ar]#PortComponentName In case we don't find a direct match we try matching by key.endsWith(wsID) See CTS test: /com/sun/ts/tests/webservices/deploy/portcomplink
    * @param wsID The web service identifier
    * @return The port component info, or null
    */
   org.jboss.webservice.PortComponentInfo getPortComponentInfo(java.lang.String wsID);

   /**
    * Returns a the array of registered PortComponentInfo objects
    */
   org.jboss.webservice.PortComponentInfo[] listServiceEndpointInfos();

   /**
    * List the registered webservices
    */
   java.lang.String listServiceEndpoints();

   /**
    * Deploy a webservice from a Axis WSDD URL
    */
   void deployService(org.jboss.webservice.PortComponentInfo pcInfo) throws java.lang.Exception;

   /**
    * Undeploy a webservice for a given web service id
    */
   void undeployService(java.lang.String serviceID) throws java.lang.Exception;

}
