/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.webservice;

/**
 * MBean interface.
 * @since 27-April-2004
 */
public interface ServiceClientDeployerMBean extends org.jboss.system.ServiceMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss.ws4ee:service=ServiceClientDeployer");

   /**
    * This binds a jaxrpc Service into the callers ENC for every service-ref element
    * @param envCtx ENC to bind the javax.rpc.xml.Service object to
    * @param serviceRefs An iterator of the service-ref elements in the client deployment descriptor
    * @param di The client's deployment info
    * @throws org.jboss.deployment.DeploymentException if it goes wrong
    */
   void setupServiceRefEnvironment(javax.naming.Context envCtx, java.util.Iterator serviceRefs,
         org.jboss.deployment.DeploymentInfo di) throws org.jboss.deployment.DeploymentException;

}
